<CsoundSynthesizer>
<CsInstruments>
/* ============================================================================================================================ */
/* ============================================================================================================================ */
/* ============================================================================================================================ */
/* ============================================================================================================================ */
/* ====================================================== JOHN_CAGE-RYOANJI =================================================== */
/* ============================================================================================================================ */
/* ============================================================================================================================ */
/* ============================================================================================================================ */

/* ======================================================== SOUND SYSTEM ====================================================== */


; for play
sr		=	44100
ksmps 	= 	120
nchnls	=	4


; for recording
/*
sr		=	44100
ksmps 	= 	260
nchnls	=	4
*/

prealloc	"MTR",	1
prealloc	"TIM",	1
prealloc	"REV",	1

prealloc	"irec",	1
prealloc	"Timout",	1
prealloc	"rec",	1

prealloc	"Play",	1


prealloc	"CB1",	1
prealloc	"CB2",	1
prealloc	"CB3",	1
prealloc	"CB4",	1
prealloc	"cb1",	100
prealloc	"cb2",	100
prealloc	"cb3",	100
prealloc	"cb4",	100
prealloc	"cb1out",	1
prealloc	"cb2out",	1
prealloc	"cb3out",	1
prealloc	"cb4out",	1

prealloc	"PC12",	1
prealloc	"PC3",	1
prealloc	"pc1",	300	
prealloc	"pc2",	300
prealloc	"pc3",	77
prealloc	"pc12out",	1
prealloc	"pc3out",	1

prealloc	"VX1",	1
prealloc 	"VX2",	1
prealloc	"VX3",	1
prealloc 	"VX4",	1

prealloc	"vx1mnc",	5
prealloc 	"vx2mnc",	16
prealloc	"vx3mnc",	11
prealloc 	"vx4mnc",	9
prealloc	"vx1pvx",	5
prealloc 	"vx2pvx",	16
prealloc	"vx3pvx",	11
prealloc 	"vx4pvx",	9


prealloc 	300,		1
prealloc	301,		1
prealloc 	302,		1



;===================================================== INIZIALIZZAZIONE_GLOBALI ======================================================

; VARIABILI AUDIO
;contrabbassi
ga1_cb1	init	0
ga2_cb1	init	0
ga3_cb1	init	0
ga4_cb1	init	0

ga1_cb2	init	0
ga2_cb2	init	0
ga3_cb2	init	0
ga4_cb2	init	0

ga1_cb3	init	0
ga2_cb3	init	0
ga3_cb3	init	0
ga4_cb3	init	0

ga1_cb4	init	0
ga2_cb4	init	0
ga3_cb4	init	0
ga4_cb4	init	0

;percussioni

ga_pcin	init	0

ga_pc1	init	0
ga_pc2	init	0
ga_pc3	init	0

ga1_mt1	init	0
ga2_mt1	init	0
ga3_mt1	init	0
ga4_mt1	init	0

ga1_mt2	init	0
ga2_mt2	init	0
ga3_mt2	init	0
ga4_mt2	init	0

ga1_woo	init	0
ga2_woo	init	0
ga3_woo	init	0
ga4_woo	init	0

;vocalizzi
ga1_vc1	init	0
ga2_vc1	init	0
ga3_vc1	init	0
ga4_vc1	init	0

ga1_vc2	init	0
ga2_vc2	init	0
ga3_vc2	init	0
ga4_vc2	init	0

ga1_vc3	init	0
ga2_vc3	init	0
ga3_vc3	init	0
ga4_vc3	init	0

ga1_vc4	init	0
ga2_vc4	init	0
ga3_vc4	init	0
ga4_vc4	init	0

gaCB1		init	0
gaCB2		init	0
gaCB3		init	0
gaCB4		init	0


; VARIABILI DI CONTROLLO E DI INIZIALIZZAZIONE

; registratore
gkirec	init	0 
gkrec		init	0
gkwhen	init	0
gkdur		init	0
gknvTmout	init	0
gktmRec	init	0


;play
gkiPlay	init	0
gkled1	init	0
gkled2	init	0

gkCB1		init	0
gkCB234	init	0
gkskiptim	init	0
gkSmpCB1	init	0
gkSmp234	init	0

gkPC12	init	0
gkpulse	init	0
gkfirst	init	0

gkVX1234	init	0
gkmnc		init 	0
gkpvx		init	0
gkled3 	init	0
gkled4 	init	0

;metronomo
gkmet1	init	0
gkmet2	init	0


;=======================================
;=======================================

; T A B L E S

;=======================================
;=======================================



; samples di C3 sulle 4 corde DATI
gir1	ftgen 1, 	0, 	0, 	1, "CbC3_I.wav", 		0, 0, 0
gir2	ftgen 2, 	0, 	0, 	1, "CbC3_II.wav", 	0, 0, 0
gir3	ftgen 3, 	0, 	0, 	1, "CbC3_III.wav", 	0, 0, 0
gir4	ftgen 4, 	0, 	0, 	1, "CbC3_IV.wav", 	0, 0, 0


; samples di C3 sulle 4 corde AUTOREGISTRATI
gir5	ftgen 5, 	0, 	0, 	1, "myCbC3_I.wav", 	0, 0, 0
gir6	ftgen 6, 	0, 	0, 	1, "myCbC3_II.wav", 	0, 0, 0
gir7	ftgen 7, 	0, 	0, 	1, "myCbC3_III.wav", 	0, 0, 0
gir8	ftgen 8, 	0, 	0, 	1, "myCbC3_IV.wav", 	0, 0, 0


; MOVE DEI 4 CBB PER FILE
gir9	ftgen	9,	0,	0,	-28,	"CB01.txt"
gir10	ftgen	10,	0,	0,	-28,	"CB02.txt"
gir11	ftgen	11,	0,	0,	-28,	"CB03.txt"
gir12	ftgen	12,	0,	0,	-28,	"CB04.txt"


; MOVE DEI 4 CBB PER SAMPLES E LIVE
gir13	ftgen	13,	0,	0,	-28,	"CBS01.txt"
gir14	ftgen	14,	0,	0,	-28,	"CBS02.txt"
gir15	ftgen	15,	0,	0,	-28,	"CBS03.txt"
gir16	ftgen	16,	0,	0,	-28,	"CBS04.txt"


; samples per vx sulle 4 vocali DATI
gir17	ftgen 17, 	0, 	0, 	1, "Vx_I.wav", 	0, 0, 0
gir18	ftgen 18, 	0, 	0, 	1, "Vx_O.wav", 	0, 0, 0
gir19	ftgen 19, 	0, 	0, 	1, "Vx_A.wav", 	0, 0, 0
gir20	ftgen 20, 	0, 	0, 	1, "Vx_E.wav", 	0, 0, 0


; samples per vx sulle 4 vocali AUTOREGISTRATE
gir21	ftgen 21, 	0, 	0, 	1, "myVx_I.wav", 	0, 0, 0
gir22	ftgen 22, 	0, 	0, 	1, "myVx_O.wav", 	0, 0, 0
gir23	ftgen 23, 	0, 	0, 	1, "myVx_A.wav", 	0, 0, 0
gir24	ftgen 24, 	0, 	0, 	1, "myVx_E.wav", 	0, 0, 0


; tre funzioni per tempi chiamate percussioni
gir25 ftgen 25, 0, -192, -2, 0,6,10,17,21,26,32,35,42,45,51,54,61,68,71,76,79,84,90,96,101,107,111,119,126,130,135,139,144,150,157,161,169,175,182,186,191,194,202,205,211,215,222,230,236,241,247,252,258,265,269,274,282,288,292,297,301,309,315,320,324,334,337,343,348,351,359,363,368,374,378,383,388,395,401,407,415,421,423,428,434,439,443,450,455,461,466,473,478,484,490,493,501,506,514,519,525,533,538,543,546,554,559,565,568,574,581,586,590,600,604,612,615,622,629,634,640,646,651,655,662,669,674,679,688,691,698,703,706,713,719,722,727,736,740,749,755,760,766,770,775,779,784,791,796,801,806,811,815,818,827,832,839,844,848,854,858,864,870,876,880,886,892,898,904,908,917,921,925,931,937,944,949,954,960,963,969,974,981,988,991,994,1001,1006,1011,1017,1023,1029,1035,1041,1045,1050

gir26 ftgen 26, 0, -193, -2,	3,8,14,20,24,29,33,38,44,48,53,58,64,70,75,77,81,88,92,100,103,110,115,123,127,133,136,143,147,154,159,165,171,179,184,190,193,198,204,207,212,218,226,233,240,243,251,255,261,266,272,278,284,290,294,299,304,310,317,321,330,335,339,346,350,355,362,365,370,375,380,386,392,399,404,411,418,422,427,430,438,442,447,451,457,463,470,475,480,487,492,498,505,508,515,521,529,534,540,545,550,556,561,567,571,578,584,589,596,603,608,613,619,625,630,636,642,647,653,658,666,671,676,684,690,695,701,704,712,716,721,726,734,739,742,753,758,762,768,772,776,780,787,794,797,802,810,813,816,822,828,837,842,845,851,855,860,866,874,879,884,890,895,901,907,913,918,923,928,934,942,946,951,957,962,965,973,977,984,990,992,995,1003,1010,1015,1019,1025,1032,1038,1043,1047,1053

gir27 ftgen 27, 0, -77, -2, 0,14,26,38,51,64,76,88,101,115,130,143,157,171,186,198,211,226,241,255,269,284,297,310,324,339,351,365,378,392,407,422,434,447,461,475,490,505,519,534,546,561,574,589,604,619,634,647,662,676,691,704,719,734,749,762,775,787,801,813,827,842,854,866,880,895,908,923,937,951,963,977,991,1003,1017,1029,1043

; MOVE DELLE PERCUSSIONI PER FILE
gir28	ftgen	28,	0,	0,	-28,	"PC12.txt"
gir29	ftgen	29,	0,	0,	-28,	"PC3.txt"



;=======================================
;=======================================

; R E C O R D I N G

;=======================================
;=======================================


;=======================================
instr	irec			; call recording
;=======================================

gkirec 	= 1 - gkirec

;printk	.1, gkirec

		schedkwhen		gkirec, -1, 1, "rec", 	 gkwhen, gkdur
		schedkwhen		gkirec, -1, 1, "Timout", 0, 	   gkwhen

		turnoff
		endin

;=======================================
instr Timout		; count-down recording
;=======================================

if gkirec != 0 goto cont
turnoff
cont:

idur	= 	1
p5	=	.01	
p6	=	.4	
p7	=	.01

daqua:
gknvTmout 	linseg	0, p5, 1, p6, 1, p5, 0, idur - ((2 * p5) + p6), 0 	;p4=1	p5=.01	p6=.4	p7=.01
timout	0, idur, continua
reinit	daqua 
continua:
rireturn

endin


;=======================================
instr rec			; recording file wav and pvx (one track at a time)
;=======================================

if gkirec != 0 goto cont
turnoff
cont:

aIn		inch	1
gktmRec	timeinsts

;printk	.1, gkrec

if		i(gkrec)	==	1 	then
Sfile		=	"/Users/enrico/Desktop/Ryoanji/myCbC3_I.wav"
fout		Sfile, 2, aIn

elseif	i(gkrec)	==	2	then
Sfile		=	"/Users/enrico/Desktop/Ryoanji/myCbC3_II.wav"
fout		Sfile, 2, aIn

elseif	i(gkrec)	==	3	then
Sfile		=	"/Users/enrico/Desktop/Ryoanji/myCbC3_III.wav"
fout		Sfile, 2, aIn
elseif	i(gkrec)	==	4	then
Sfile		=	"/Users/enrico/Desktop/Ryoanji/myCbC3_IV.wav"
fout		Sfile, 2, aIn

elseif	i(gkrec)	==	5	then
Sfile		=	"/Users/enrico/Desktop/Ryoanji/myVx_I.wav"
fout		Sfile, 2, aIn
fss pvsanal  aIn, 1024,256,1024,0	; ain,1024,256,2048,0
pvsfwrite fss, "/Users/enrico/Desktop/Ryoanji/myVx_I.pvx"


elseif	i(gkrec)	==	6	then
Sfile		=	"/Users/enrico/Desktop/Ryoanji/myVx_O.wav"
fout		Sfile, 2, aIn 
fss pvsanal  aIn, 1024,256,1024,0
pvsfwrite fss, "/Users/enrico/Desktop/Ryoanji/myVx_O.pvx"


elseif	i(gkrec)	==	7	then
Sfile		=	"/Users/enrico/Desktop/Ryoanji/myVx_A.wav"
fout		Sfile, 2, aIn
fss pvsanal  aIn, 1024,256,1024,0
pvsfwrite fss, "/Users/enrico/Desktop/Ryoanji/myVx_A.pvx"


elseif	i(gkrec)	==	8	then
Sfile		=	"/Users/enrico/Desktop/Ryoanji/myVx_E.wav"
fout		Sfile, 2, aIn
fss pvsanal  aIn, 1024,256,1024,0
pvsfwrite fss, "/Users/enrico/Desktop/Ryoanji/myVx_E.pvx"


endif


endin


;=======================================
;=======================================

; P L A Y - A L L

;=======================================
;=======================================


;=======================================

; C O N T R A B A S S

;=======================================


;=======================================
instr Play			; call parformance
;=======================================

gkiPlay 	= 1 - gkiPlay


		schedkwhen		gkiPlay, -1, 1, "MTR", 0, -1, .001, .497, .9905
		schedkwhen		gkiPlay, -1, 1, "TIM", 0, -1
		schedkwhen		gkiPlay, -1, 1, "REV", 0, -1
		schedkwhen		gkiPlay, -1, 1, "RMS", 0, -1

		schedkwhen		gkiPlay, -1, 1, "CB1", 0, -1
		schedkwhen		gkiPlay, -1, 1, "CB2", 0, -1
		schedkwhen		gkiPlay, -1, 1, "CB3", 0, -1
		schedkwhen		gkiPlay, -1, 1, "CB4", 0, -1

		schedkwhen		gkiPlay, -1, 1, "cb1out", 0, -1
		schedkwhen		gkiPlay, -1, 1, "cb2out", 0, -1
		schedkwhen		gkiPlay, -1, 1, "cb3out", 0, -1
		schedkwhen		gkiPlay, -1, 1, "cb4out", 0, -1

		schedkwhen		gkiPlay, -1, 1, "PC12", 0, -1
		schedkwhen		gkiPlay, -1, 1, "PC3",  0, -1
		schedkwhen		gkiPlay, -1, 1, "pc12out", 0, -1
		schedkwhen		gkiPlay, -1, 1, "pc3out", 0, -1

		schedkwhen		gkiPlay, -1, 1, "VX1", 0, -1
		schedkwhen		gkiPlay, -1, 1, "VX2", 0, -1
		schedkwhen		gkiPlay, -1, 1, "VX3", 0, -1
		schedkwhen		gkiPlay, -1, 1, "VX4", 0, -1

		turnoff
		endin


;=======================================
instr CB1			; options call CB1
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

;printk	.1, gkCB1, 40

if 		i(gkCB1) = 1 then
clear	gaCB1
gkled1=0 
turnoff
turnoff2	13, 0, 0

elseif 	i(gkCB1) = 2 then
gaCB1	inch 1
gkled1=0

elseif	i(gkCB1) = 3 then
gaCB1		soundinmac	"/Users/enrico/Desktop/Ryoanji/CB_01-mn.mp3", 1, i(gkskiptim)		;segnale mono
gkled1=0

elseif 	i(gkCB1) = 4 then

clear	gaCB1	
gkled1=1

;		p1		p2		p3		p4	p5	p6	p7	p8	p9	p10	p11	p12	p13	p14	p15	p16	p17	p18	p19	

schedule	"cb1",	39.30,	7.7,		4,	.5,	-1,	-2.2,	-3.6,	-3,	-5,	5,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	47.00,	5.3,		4,	-2.3,	-.5,	.5,	2.4,	-3,	3,	-5,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	55.60,	6.4,		1,	-2.5,	-1,	.5,	.0,	1,	1,	4,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	82.50,	1.85,		2,	-3,	-2.2,	-1,	.6,	-5,	-5,	-2,	.3,	.3,	3,	3,	3,	10,	70,	1
schedule	"cb1",	103.40,	7.1,		2,	1.4,	-1.5,	-2.4,	-.6,	-3,	-5,	-3,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	110.50,	2.7,		1,	.5,	.8,	1.1,	1.8,	-2,	-2,	3,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	118.30,	5.6,		1,	-2.2,	-1.8,	-1,	1.7,	-3,	-2,	-4,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	143.00,	4,		1,	3.5,	3,	2.8,	1.6,	1,	1,	4,	.3,	.3,	3,	3,	3,	10,	30,	1
schedule	"cb1",	148.30,	2.9,		3,	-2.7,	-2,	-1.5,	-1.2,	2,	2,	2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	151.20,	3.5,		4,	-.7,	-1.1,	-2,	-2.8,	2,	1,	1,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb1",	190.00,	10.4,		2,	5.8,	6.1,	5.8,	5,	5,	8,	8,	.3,	.3,	3,	3,	3,	10,	30,	1
schedule	"cb1",	212.90,	.6,		3,	5.2,	5.4,	5.6,	5.8,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	213.50,	5.7,		4,	5.6,	6.3,	6.5,	5.9,	1,	1,	3,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	219.20,	1.25,		3,	6.4,	6,	5.7,	5.3,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb1",	279.50,	2.95,		2,	-2.3,	-.8,	1,	3.8,	-3,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	30,	1
schedule	"cb1",	291.80,	5.9,		3,	2.2,	-1.4,	-2.4,	-3.4,	2,	-2,	-2,	.3,	.3,	3,	3,	3,	10,	30,	1
schedule	"cb1",	305.00,	2.1,		1,	-4.8,	-4,	-3.7,	-3.4,	-2,	-2,	-2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	311.30,	3,		1,	5.7,	6,	6.3,	6.7,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	314.30,	3.4,		1,	-.6,	.5,	3,	5,	-3,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	317.70,	.4,		1,	6.4,	6.1,	6,	5.8,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb1",	372.50,	3.2,		4,	-2.3,	-2.5,	-3,	-4.7,	2,	2,	2,	.3,	.3,	3,	3,	3,	10,	20,	1
schedule	"cb1",	385.70,	9.4,		4,	1.5,	4,	3,	-.6,	3,	4,	3,	.3,	.3,	3,	3,	3,	10,	20,	1
schedule	"cb1",	397.20,	4.8,		4,	3.5,	0,	-3,	-4.4,	-2,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	20,	1
schedule	"cb1",	404.45,	1.35,		4,	.8,	.4,	.2,	.4,	1,	1,	-4,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	440.95,	2.95,		1,	.5,	1.3,	1.65,	1.9,	2,	2,	2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	447.20,	4,		2,	-.5,	1,	1.3,	1.9,	2,	2,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	451.20,	1.7,		2,	1.8,	1.9,	1.8,	1.75,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	452.90,	5.3,		3,	-1.6,	-1,	-.6,	-.9,	2,	2,	2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	459.50,	5.6,		3,	2.2,	2.7,	2.4,	1.8,	2,	2,	2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	483.30,	3.75,		4,	2.8,	3.2,	2.6,	1.8,	2,	2,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	499.00,	.95,		3,	2.8,	2.7,	2.6,	2.5,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	499.95,	.35,		4,	-.6,	-.7,	-1,	-1.3,	2,	2,	-2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	500.30,	4.7,		4,	2.2,	1.9,	2.3,	2.7,	-1,	-2,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	507.55,	2.65,		2,	2.3,	2.5,	2.1,	2,	2,	2,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	510.20,	3.6,		2,	1.3,	1.7,	1.3,	.8,	2,	2,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	531.80,	3.2,		2,	-2.4,	-1.7,	-2.3,	-4.4,	2,	2,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	540.50,	5.55,		4,	4,	4,	2.7,	4.3,	-3,	-4,	-3,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	547.30,	2.95,		3,	4.5,	3.6,	3.9,	4,	-4,	-3,	-2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	550.25,	1.35,		4,	3.6,	4,	4.2,	4.4,	2,	2,	2,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	551.60,	1.9,		4,	.4,	2,	3,	4.3,	-2,	-2,	2,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	553.50,	6.7,		3,	5.5,	5,	6,	4,	3,	-4,	3,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	561.40,	7.35,		2,	-2.5,	-4.5,	-5.5,	-4,	-4,	-3,	-2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	568.75,	3.9,		2,	2.8,	1.3,	1,	1.8,	-3,	-2,	-2,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	572.65,	1.15,		3,	1.9,	1.4,	1,	.7,	0,	0,	0,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	573.80,	6.7,		1,	1.3,	1,	2,	1.6,	3,	-4,	3,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	583.75,	2.25,		4,	-2.6,	-3,	-3.7,	-4.4,	-3,	-3,	-2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	586.00,	3,		3,	4.5,	1,	.7,	0,	-3,	-2,	-2,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	589.00,	1.8,		4,	-4.5,	-4.1,	-3.8,	-3.5,	-2,	-2,	-2,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	591.65,	4.45,		3,	-3.5,	-2,	-1.1,	-1.6,	-3,	-2,	-2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	599.80,	4.5,		3,	1.8,	1.5,	2.4,	4.7,	-3,	-2,	-2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	617.20,	6.6,		1,	.7,	3,	3.5,	2.4,	3,	3,	2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	624.60,	1.05,		3,	5.4,	5,	4.5,	4,	-3,	-2,	-2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	625.65,	2.65,		4,	1.5,	2,	3,	3.6,	-3,	-2,	-2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	636.30,	3,		2,	0,	.5,	1,	.7,	1,	2,	4,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	652.00,	3.55,		3,	2.8,	2.7,	2.8,	2.9,	-2,	-2,	-4,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	661.60,	4.2,		1,	2.6,	2.7,	2.8,	2.9,	3,	2,	2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	665.80,	1.8,		2,	2.7,	2.75,	2.8,	2.85,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	667.60,	1.4,		3,	2.85,	2.7,	2.65,	2.5,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	673.40,	6.6,		3,	2.7,	2.8,	2.6,	2.55,	2,	2,	3,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	680.00,	2,		4,	2.9,	2.8,	2.6,	2.4,	2,	2,	3,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	684.35,	3.75,		1,	2,	2.2,	2.4,	2.55,	2,	2,	2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	688.10,	5.4,		2,	2.9,	2.75,	2.8,	2.95,	-2,	-2,	-3,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	693.50,	.25,		1,	2.8,	2.79,	2.77,	2.75,	0,	0,	0,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	695.00,	6.1,		1,	2.8,	2.5,	2.6,	2.2,	1,	1,	4,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	703.60,	2.75,		2,	2.9,	3,	2.9,	2.86,	1,	1,	2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	720.45,	.75,		1,	2.99,	2.95,	2.92,	2.9,	-4,	1,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	729.40,	3,		3,	2.4,	2.45,	2.47,	2.46,	1,	1,	2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	732.40,	1.9,		2,	2.5,	2.53,	2.56,	2.6,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	734.30,	.15,		3,	2.2,	2.19,	2.18,	2.17,	2,	2,	2,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	738.30,	3.7,		4,	2.7,	2.65,	2.6,	2.65,	1,	-2,	-3,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	742.00,	3.55,		4,	2.3,	2.37,	2.45,	2.55,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	756.30,	1,		3,	2.2,	2.23,	2.27,	2.3,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	757.20,	.3,		2,	2.9,	2.91,	2.93,	2.95,	0,	0,	0,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	757.50,	1.9,		3,	2.5,	2.53,	2.56,	2.6,	-1,	-1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	759.40,	.8,		4,	3,	3.02,	3.035,3.05,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	760.20,	1,		3,	2.7,	2.73,	2.77,	2.8,	-2,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	761.20,	1,		2,	2.5,	2.48,	2.47,	2.45,	1,	1,	2,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	762.20,	.2,		1,	2.9,	2.89,	2.88,	2.87,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	762.40,	.6,		2,	2.5,	2.49,	2.46,	2.45,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	763.00,	.9,		3,	2.75,	2.76,	2.78,	2.8,	1,	2,	3,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb1",	763.90,	1.35,		4,	2.8,	2.75,	2.7,	2.6,	1,	3,	1,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	770.35,	3.45,		1,	2.9,	2.65,	2.4,	2.2,	1,	-2,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	819.00,	3,		1,	2.9,	2.65,	2.4,	2.2,	1,	-2,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	838.35,	.4,		3,	5.2,	5.15,	5.05,	5,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	838.75,	11.15,	3,	5.8,	6.9,	6,	5.2,	0,	2,	3,	.3,	.3,	2,	4,	4,	90,	10,	1
schedule	"cb1",	851.70,	2.5,		1,	3.9,	3.6,	3.4,	3.2,	1,	2,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	860.60,	7.55,		2,	4.9,	5.3,	5.2,	4.5,	3,	2,	3,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	885.15,	1.15,		2,	3.3,	3.5,	3.5,	3.3,	-1,	-1,	-2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb1",	886.30,	2.7,		2,	5.3,	5,	4.5,	5,	-1,	-2,	-1,	.3,	.3,	4,	4,	2,	90,	90,	1
schedule	"cb1",	889.00,	4.7,		1,	4.5,	4.6,	5,	5.5,	-3,	-2,	-3,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb1",	899.95,	7.1,		4,	2.4,	.5,	-.5,	.3,	5,	1,	3,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	923.15,	4.75,		4,	-.5,	-1.4,	-1,	-.05,	2,	1,	1,	.3,	.3,	2,	4,	4,	10,	10,	1
schedule	"cb1",	963.80,	2.25,		4,	-.7,	1.5,	3,	3.5,	2,	-3,	5,	.3,	.3,	2,	4,	4,	10,	10,	1
schedule	"cb1",	966.75,	3.85,		1,	-1.3,	0,	.4,	.2,	2,	2,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	979.00,	3.8,		4,	-2,	0,	.4,	1.2,	3,	3,	3,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb1",	1002.40,	6.1,		3,	.8,	-.4,	.6,	1.4,	3,	3,	3,	.3,	.3,	2,	4,	4,	10,	10,	1
schedule	"cb1",	1008.80,	7.7,		2,	.8,	4,	3.5,	2.5,	4,	2,	2,	.3,	.3,	2,	4,	4,	10,	10,	1
schedule	"cb1",	1018.30,	5.9,		4,	2,	2.2,	2.4,	2.6,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	10,	1

turnoff

endif

endin



;=======================================
instr cb1			; stretching samples CB1
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if i(gkSmp234) = 1 then
iSmpl	= 0
else
iSmpl = 4
endif 


idur  = p3

ilock = p19 

itab = p4+iSmpl	; 1=prima corda  2=seconda corda  3=terza corda  4=quarta corda

ipw1 = p5
ipw2 = p6
ipw3 = p7
ipw4 = p8
ityp1= p9
ityp2= p10 
ityp3= p11
idur1= idur/p14
idur2= idur/p15
idur3= idur/p16

ihlfstp = 2^(1/12)

ia	=	ihlfstp^ipw1
ib	=	ihlfstp^ipw2
ic	=	ihlfstp^ipw3
id	=	ihlfstp^ipw4

;			ia,	idur1		itype	 ib  idur2	itype  ic  idur3	itype	 id
kpitch transeg	ia,	idur1,  	ityp1, ib, idur2, ityp2, ic, idur3,	ityp3, id

imp1	=	p12*0dbfs
imp2	=	p13*0dbfs

ia	=	idur/p17
ib	=	idur/p18

;kamp	expseg	.001, ia, imp1, idur-(ia+ib), imp2, ib, .001
kamp	linseg	0, ia, imp1, idur-(ia+ib), imp2, ib, 0

itimescale = .5
;atime line   .1,idur,idur*itimescale	; cos la lettura del file va dall'inizio alla met
atime line   idur*itimescale,idur,.1	; cos la lettura del file va da met all'inizio

gaCB1		mincer atime, kamp, kpitch, itab, ilock

endin

;=======================================
instr CB2			; options call CB2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

;printk	.1, gkCB234

if 		i(gkCB234) = 1 then

gaCB2		soundinmac	"/Users/enrico/Desktop/Ryoanji/CB_02-mn.mp3", 1, i(gkskiptim)		; mono
gkled2=0

elseif 	i(gkCB234) = 2 then

clear	gaCB2
gkled2 = 1

;		p1		p2		p3		p4	p5	p6	p7	p8	p9	p10	p11	p12	p13	p14	p15	p16	p17	p18	p19
	
schedule	"cb2",	57.85,	7.85,		3,	1,	2,	1,	0,	1,	1,	2,	.3,	.3,	2,	4,	4,	10,	8,	1	
schedule	"cb2",	82.50,	4.4,		2,	4,	1.5,	-.5,	-1,	-1,	-1,	-1,	.3,	.3,	2,	4,	4,	10,	8,	1
schedule	"cb2",	88.45,	7.25,		2,	1,	-2,	-1,	.5,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	9,	9,	1	
schedule	"cb2",	147.55,	2.77,		3,	-1,	-1.5,	-2.5,	-3,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb2",	422.00,	5.1,		3,	2.5,	.5,	-.5,	0,	-1,	-1,	-1,	.3,	.3,	4,	2,	4,	10,	12,	1
schedule	"cb2",	427.40,	3.9,		3,	2.6,	3.2,	2.3,	1.4,	1,	1,	2,	.3,	.3,	3,	3,	3,	10,	12,	1
schedule	"cb2",	443.40,	3.9,		2,	0.85,	.85,	1.5,	2.7,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	12,	1
schedule	"cb2",	455.40,	3.4,		4,	-1.3,	1,	2,	2.6,	1,	1,	1,	.3,	.3,	4,	4,	2,	10,	50,	1
schedule	"cb2",	458.80,	5.95,		4,	.8,	1.2,	1.8,	.8,	1,	1,	2,	.3,	.3,	3,	3,	3,	50,	10,	1
schedule	"cb2",	470.70,	7.1,		3,	.4,	1.4,	1.9,	1.2,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb2",	515.20,	7.6,		2,	1.2,	.7,	1.8,	1.3,	0,	1,	2,	.3,	.3,	3,	3,	3,	10,	12,	1

turnoff

endif

endin


;=======================================
instr cb2			; stretching samples CB2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if i(gkSmp234) = 1 then
iSmpl	= 0
else
iSmpl = 4
endif 


idur  = p3

ilock = p19 

itab = p4+iSmpl	; 1=prima corda  2=seconda corda  3=terza corda  4=quarta corda

ipw1 = p5
ipw2 = p6
ipw3 = p7
ipw4 = p8
ityp1= p9
ityp2= p10 
ityp3= p11
idur1= idur/p14
idur2= idur/p15
idur3= idur/p16

ihlfstp = 2^(1/12)

ia	=	ihlfstp^ipw1
ib	=	ihlfstp^ipw2
ic	=	ihlfstp^ipw3
id	=	ihlfstp^ipw4

;			ia,	idur1		itype	 ib  idur2	itype  ic  idur3	itype	 id
kpitch transeg	ia,	idur1,  	ityp1, ib, idur2, ityp2, ic, idur3,	ityp3, id

imp1	=	p12*0dbfs
imp2	=	p13*0dbfs

ia	=	idur/p17
ib	=	idur/p18

;kamp	expseg	.001, ia, imp1, idur-(ia+ib), imp2, ib, .001
kamp	linseg	0, ia, imp1, idur-(ia+ib), imp2, ib, 0

itimescale = .5
;atime line   .1,idur,idur*itimescale
atime line   idur*itimescale,idur,.1

gaCB2		mincer atime, kamp, kpitch, itab, ilock

endin


;=======================================
instr CB3			; options call CB3
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

;printk	.1, gkCB234

if 		i(gkCB234) = 1 then
iskip	=	0
gaCB3		soundinmac	"/Users/enrico/Desktop/Ryoanji/CB_03-mn.mp3", 1, i(gkskiptim)		; mono
gkled2=0

elseif 	i(gkCB234) = 2 then

clear	gaCB3
gkled2 = 1

;		p1		p2		p3		p4	p5	p6	p7	p8	p9	p10	p11	p12	p13	p14	p15	p16	p17	p18	p19	
	
schedule	"cb3",	39.10,	1.2,		2,	-.3,	0,	.6,	1.3,	-2,	0,	1,	.3,	.3,	3,	3,	3,	10,	10,	1	
schedule	"cb3",	47.00,	3,		4,	-.8,	-1.5,	-2,	-1.3,	0,	-1,	-2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb3",	51.20,	2.2,		3,	1.7,	2,	2.4,	2.7,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	50,	1	
schedule	"cb3",	53.40,	3.25,		4,	1.7,	2.2,	2.8,	2.1,	1,	1,	1,	.3,	.3,	2,	4,	4,	50,	10,	1
schedule	"cb3",	82.20,	2.25,		3,	-1.7,	-2,	-2.1,	-2.3,	-2,	0,	1,	.3,	.3,	3,	3,	3,	11,	11,	1
schedule	"cb3",	90.24,	6.76,		2,	-2,	-1.4,	-2,	-2.9,	1,	1,	4,	.3,	.3,	4,	2,	4,	10,	70,	1
schedule	"cb3",	97.00,	4.3,		3,	-.6,	-.5,	-.4,	-1.5,	1,	1,	3,	.3,	.3,	3,	3,	3,	70,	11,	1
schedule	"cb3",	105.30,	3.1,		3,	3.3,	3.5,	3.8,	3.2,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	12,	1
schedule	"cb3",	116.90,	3.9,		3,	2.8,	0,	-2,	-2.7,	0,	-1,	-3,	.3,	.3,	4,	4,	2,	10,	70,	1
schedule	"cb3",	120.80,	2.9,		2,	3.3,	3.7,	3.4,	3.9,	1,	1,	-2,	.3,	.3,	3,	3,	3,	70,	10,	1
schedule	"cb3",	184.10,	7,		3,	3.7,	4,	4.5,	3.5,	2,	1,	3,	.3,	.3,	3,	3,	3,	10,	12,	1
schedule	"cb3",	209.95,	5.65,		1,	5.3,	4,	2.8,	3,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	80,	1
schedule	"cb3",	215.60,	3.4,		2,	2.3,	2.2,	2.1,	2.6,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	80,	10,	1
schedule	"cb3",	254.50,	7.1,		3,	5.7,	4.3,	3.8,	4.6,	-1,	-1,	-2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb3",	264.40,	3.25,		2,	2.8,	4,	5,	5.8,	1,	5,	1,	.3,	.3,	4,	4,	2,	10,	80,	1
schedule	"cb3",	267.65,	4.25,		3,	3.3,	4,	5,	5.3,	1,	1,	1,	.3,	.3,	4,	4,	2,	80,	10,	1
schedule	"cb3",	281.25,	3.25,		4,	2.3,	1,	.9,	1.4,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb3",	290.60,	2.8,		2,	2.3,	2.6,	2,	3,	1,	-1,	1,	.3,	.3,	3,	3,	3,	10,	80,	1
schedule	"cb3",	293.40,	.7,		1,	2.9,	2.2,	1.7,	1,	-2,	0,	0,	.3,	.3,	3,	3,	3,	80,	80,	1
schedule	"cb3",	294.10,	3.9,		1,	-3,	-2,	-1,	0,	-2,	-2,	-2,	.3,	.3,	3,	3,	3,	80,	80,	1
schedule	"cb3",	298.00,	2,		2,	1.3,	.5,	0,	-.4,	0,	0,	0,	.3,	.3,	3,	3,	3,	80,	80,	1
schedule	"cb3",	300.00,	.30,		3,	.3,	.2,	-.5,	-1.3,	1,	3,	1,	.3,	.3,	4,	4,	2,	80,	13,	1
schedule	"cb3",	314.60,	5.5,		3,	2.3,	0,	-4.4,	-3.8,	0,	-1,	-2,	.3,	.3,	4,	2,	4,	12,	90,	1
schedule	"cb3",	320.10,	5.5,		4,	3.8,	2,	.4,	-2.3,	0,	0,	4,	.3,	.3,	3,	3,	3,	90,	13,	1
schedule	"cb3",	341.80,	4.9,		4,	4.3,	0,	-2.3,	-1.8,	-1,	-1,	-3,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb3",	347.00,	5,		3,	5.7,	2,	-.3,	-1.7,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb3",	354.50,	.2,		2,	1.3,	1.2,	1,	.8,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb3",	354.70,	3.7,		3,	5.3,	4,	4.5,	2.5,	-2,	-2,	-2,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	358.40,	2.5,		2,	-4.4,	-3.5,	-3,	-2.6,	-2,	-2,	-1,	.3,	.3,	3,	3,	3,	90,	13,	1
schedule	"cb3",	377.70,	.9,		1,	-1.4,	-.7,	0,	.6,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb3",	378.60,	6.8,		1,	2.6,	3.7,	4,	1.5,	1,	5,	1,	.3,	.3,	3,	3,	3,	90,	12,	1
schedule	"cb3",	387.50,	4.6,		2,	5,	3.6,	4.3,	5.4,	-1,	-2,	-1,	.3,	.3,	2,	4,	4,	10,	10,	1
schedule	"cb3",	407.80,	6.7,		2,	-.6,	.4,	.6,	-.4,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb3",	414.50,	8.7,		1,	1.4,	-.4,	-.1,	.6,	-2,	0,	-3,	.3,	.3,	3,	3,	3,	90,	12,	1
schedule	"cb3",	435.08,	3.72,		1,	.6,	.2,	-.3,	-.5,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	12,	90,	1
schedule	"cb3",	438.80,	3.1,		2,	-.1,	-.2,	-1,	-.4,	-2,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	441.90,	3.5,		2,	-2,	-2.4,	-2,	-1.5,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	12,	1
schedule	"cb3",	469.70,	2.6,		1,	1.4,	1.9,	2.3,	2.5,	1,	0,	1,	.3,	.3,	3,	3,	3,	12,	90,	1
schedule	"cb3",	472.30,	6.85,		1,	-1,	0,	.9,	.1,	2,	1,	2,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb3",	532.40,	5.95,		4,	-3.4,	-1,	0,	1.5,	-3,	2,	-3,	.3,	.3,	3,	3,	3,	13,	15,	1
schedule	"cb3",	546.50,	5.3,		3,	2.4,	3,	2,	.3,	2,	1,	1,	.3,	.3,	3,	3,	3,	13,	90,	1
schedule	"cb3",	551.80,	3.6,		3,	3.8,	5.5,	5.9,	5.5,	2,	2,	1,	.3,	.3,	3,	3,	3,	90,	40,	1
schedule	"cb3",	579.70,	4.3,		3,	-.5,	1,	1.2,	1,	1,	1,	1,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	584.00,	.30,		2,	1,	.9,	.85,	.8,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	584.30,	2.4,		1,	1,	0,	-1,	-4,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb3",	597.40,	4.3,		2,	2.4,	3.4,	3.9,	2.8,	1,	1,	2,	.3,	.3,	3,	3,	3,	20,	20,	1
schedule	"cb3",	607.80,	4.2,		3,	2.4,	1.3,	.9,	2,	-2,	-1,	-1,	.3,	.3,	3,	3,	3,	20,	20,	1
schedule	"cb3",	625.70,	2,		2,	-1.5,	-2,	-3,	-4,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	627.70,	4.7,		3,	-.6,	-2.5,	-3.4,	-3,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	632.40,	2.5,		2,	-5.5,	-4.3,	-3.9,	-3.5,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb3",	637.30,	1.8,		3,	-.5,	0,	1,	1.5,	1,	1,	1,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	639.10,	.9,		2,	4,	3.4,	3,	2.5,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	640.00,	6,		3,	2.5,	2,	5.8,	4.7,	-1,	2,	2,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb3",	656.80,	1.4,		4,	2.9,	2.8,	2.65,	2.5,	1,	2,	1,	.3,	.3,	3,	3,	3,	20,	20,	1
schedule	"cb3",	685.60,	6.45,		2,	2.5,	2.7,	2.8,	3,	2,	1,	3,	.3,	.3,	3,	3,	3,	20,	20,	1
schedule	"cb3",	699.10,	8.15,		2,	2.5,	2.2,	2.1,	2.5,	-1,	-1,	-3,	.3,	.3,	3,	3,	3,	20,	200,	1
schedule	"cb3",	707.25,	2.75,		3,	2.8,	2.9,	2.95,	2.8,	2,	2,	2,	.3,	.3,	3,	3,	3,	200,	20,	1
schedule	"cb3",	713.80,	7.35,		4,	2.1,	2.5,	2.7,	2.8,	2,	2,	1,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	721.40,	3.7,		1,	2.15,	2.18,	2.45,	2.65,	-3,	-2,	-1,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	727.70,	3.8,		1,	2.01,	2.15,	2.3,	2.5,	2,	2,	1,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	731.50,	1,		2,	2.7,	2.65,	2.6,	2.55,	-1,	-1,	0,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	732.50,	2.2,		2,	2.5,	2.6,	2.55,	2.5,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	734.70,	5.5,		4,	2.2,	2,	2.1,	2.25,	-2,	-2,	-2,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb3",	748.00,	4,		1,	2.05,	2,	2.2,	2.3,	-2,	-2,	-2,	.3,	.3,	3,	3,	3,	20,	20,	1
schedule	"cb3",	780.80,	3.8,		4,	4.6,	4,	3.2,	3.6,	1,	1,	2,	.3,	.3,	3,	3,	3,	20,	20,	1
schedule	"cb3",	787.40,	8.8,		3,	5,	4,	3.6,	4.5,	1,	0,	-3,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	796.20,	2,		4,	5.5,	5.25,	4.75,	4.5,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb3",	812.40,	.9,		2,	4.2,	4,	3,	3.8,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	813.30,	2.1,		1,	4.8,	4.3,	4.1,	3.9,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	815.40,	6,		2,	3.6,	4,	4.3,	4.9,	0,	0,	-2,	.3,	.3,	2,	4,	4,	90,	20,	1
schedule	"cb3",	827.70,	1.7,		4,	4.2,	4.3,	4.4,	4.5,	1,	1,	1,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	829.40,	2.5,		4,	5.4,	5.1,	4.6,	4.3,	2,	1,	2,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	831.90,	2.7,		3,	4.8,	5.2,	5.1,	4.9,	1,	1,	1,	.3,	.3,	2,	4,	4,	90,	20,	1
schedule	"cb3",	838.20,	2.1,		3,	4.8,	4.5,	4.3,	4.75,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	20,	20,	1
schedule	"cb3",	854.50,	4,		4,	4.8,	4.5,	4,	3.2,	1,	2,	1,	.3,	.3,	2,	4,	4,	20,	90,	1
schedule	"cb3",	858.50,	7.5,		3,	5.3,	4.3,	3.5,	3.8,	-5,	4,	-2,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb3",	880.10,	2.5,		2,	5.5,	5,	4.7,	4.8,	1,	1,	2,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	882.60,	1.8,		2,	3.9,	3.6,	3.4,	3.3,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb3",	890.60,	5.2,		1,	5.5,	5.8,	5,	4,	4,	4,	2,	.3,	.3,	2,	4,	4,	20,	20,	1
schedule	"cb3",	907.95,	3.75,		1,	4,	3.7,	3.9,	4.1,	-2,	-2,	-1,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	911.70,	2.5,		1,	3.4,	3,	2.7,	2.9,	-1,	-1,	-2,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	914.20,	3.15,		2,	-.3,	1,	1.8,	2.3,	0,	0,	0,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb3",	917.35,	4.15,		3,	0,	1.5,	2.3,	1.6,	1,	1,	4,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb3",	946.50,	5.75,		4,	4.3,	4.5,	4.6,	2.5,	1,	1,	4,	.3,	.3,	3,	3,	3,	20,	20,	1
schedule	"cb3",	952.80,	4.95,		4,	4.3,	.5,	-.4,	.5,	-2,	-2,	-2,	.3,	.3,	3,	3,	3,	20,	90,	1
schedule	"cb3",	957.75,	3.25,		4,	4.2,	4.5,	4.3,	4.2,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	20,	1
schedule	"cb3",	963.25,	8.45,		3,	1.3,	2.5,	1.2,	-.45,	4,	1,	0,	.3,	.3,	3,	3,	3,	20,	20,	1
schedule	"cb3",	985.40,	5.4,		1,	4.5,	2.2,	1.4,	-.45,	1,	2,	4,	.3,	.3,	4,	2,	4,	20,	20,	1
schedule	"cb3",	1003.40,	8.8,		2,	-.5,	-1.9,	-.4,	.8,	-1,	0,	-2,	.3,	.3,	3,	3,	3,	20,	20,	1

turnoff

endif


endin



;=======================================
instr cb3			; stretching samples CB3
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if i(gkSmp234) = 1 then
iSmpl	= 0
else
iSmpl = 4
endif 


idur  = p3

ilock = p19 

itab = p4+iSmpl	; 1=prima corda  2=seconda corda  3=terza corda  4=quarta corda

ipw1 = p5
ipw2 = p6
ipw3 = p7
ipw4 = p8
ityp1= p9
ityp2= p10 
ityp3= p11
idur1= idur/p14
idur2= idur/p15
idur3= idur/p16

ihlfstp = 2^(1/12)

ia	=	ihlfstp^ipw1
ib	=	ihlfstp^ipw2
ic	=	ihlfstp^ipw3
id	=	ihlfstp^ipw4

;			ia,	idur1		itype	 ib  idur2	itype  ic  idur3	itype	 id
kpitch transeg	ia,	idur1,  	ityp1, ib, idur2, ityp2, ic, idur3,	ityp3, id

imp1	=	p12*0dbfs
imp2	=	p13*0dbfs

ia	=	idur/p17
ib	=	idur/p18

;kamp	expseg	.001, ia, imp1, idur-(ia+ib), imp2, ib, .001
kamp	linseg	0, ia, imp1, idur-(ia+ib), imp2, ib, 0

itimescale = .4
;atime line   .1,idur,idur*itimescale
atime line   idur*itimescale,idur,.1

gaCB3		mincer atime, kamp, kpitch, itab, ilock

endin


;=======================================
instr CB4			; options call CB4
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

;printk	.1, gkCB234

if 		i(gkCB234) = 1 then
iskip	=	0
gaCB4		soundinmac	"/Users/enrico/Desktop/Ryoanji/CB_04-mn.mp3", 1, i(gkskiptim)		;segnale mono
gkled2=0

elseif 	i(gkCB234) = 2 then

clear	gaCB4
gkled2 = 1


;		p1		p2		p3		p4	p5	p6	p7	p8	p9	p10	p11	p12	p13	p14	p15	p16	p17	p18	p19

schedule	"cb4",	53.20,	8.4,		4,	-2.5,	-3.5,	-2.5,	-1.4,	-3,	1,	1,	.3,	.3,	3,	3,	3,	10,	10,	1	
schedule	"cb4",	114.60,	7.8,		4,	-2.5,	-.6,	-.1,	-1,	3,	3,	3,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	125.20,	5.5,		4,	-1.7,	-2.8,	-2,	-1.7,	2,	2,	2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	130.70,	1,		3,	1,	.6,	.3,	0,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb4",	131.70,	3.7,		2,	1.2,	2,	2.5,	3.8,	2,	2,	2,	.3,	.3,	3,	3,	3,	90,	10,	1	
schedule	"cb4",	148.35,	3.85,		1,	-1,	1,	3,	3.9,	2,	2,	2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	167.53,	5.47,		4,	4.4,	4.6,	4,	2.5,	1,	3,	4,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	208.10,	.4,		3,	3.5,	3.4,	3.2,	3.1,	1,	1,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	224.30,	2.7,		4,	5.5,	4.8,	4,	4.3,	-2,	-2,	-2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	227.00,	5.7,		3,	4.3,	4.7,	4.1,	3.5,	1,	1,	2,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	234.40,	9.9,		4,	5.8,	5,	4.5,	3.1,	1,	2,	2,	.3,	.3,	2,	4,	4,	10,	10,	1
schedule	"cb4",	261.20,	5.8,		1,	5.8,	5.9,	5.6,	4.5,	1,	2,	2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	341.60,	10.25,	4,	4.5,	3,	2,	3,	-5,	-5,	-5,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	351.85,	2.95,		1,	-1.5,	-1.8,	-2.2,	-2.5,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	356.30,	3.95,		3,	.7,	1,	1.35,	1.3,	1,	1,	2,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	360.25,	4.35,		4,	1.5,	-1.8,	-2.2,	-3.5,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	376.65,	9.35,		2,	2.7,	-2.4,	-2,	.4,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	392.65,	5.35,		4,	4.8,	0,	-3,	-2.5,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	398.00,	1,		3,	-2.5,	-1.5,	-.1,	-.5,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb4",	399.00,	2,		2,	-4.5,	-4,	-3.5,	-3,	0,	0,	0,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	435.30,	5.9,		2,	-.7,	0,	1,	2.3,	-1,	-1,	-1,	.3,	.3,	2,	4,	4,	10,	10,	1
schedule	"cb4",	458.30,	6.7,		2,	-.9,	1.5,	2.3,	3,	3,	3,	2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	485.60,	6.4,		2,	-1.4,	-2.4,	-2,	-1.5,	-1,	-1,	-1,	.3,	.3,	2,	4,	4,	10,	10,	1
schedule	"cb4",	509.00,	2.6,		2,	-.5,	0,	.4,	.9,	-1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	511.60,	.5,		1,	-1.1,	-1.3,	-1.5,	-1.9,	 0,	0,	0,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb4",	512.10,	6.2,		1,	-.8,	-.2,	0,	1,	-1,	-1,	-2,	.3,	.3,	2,	4,	4,	90,	90,	1
schedule	"cb4",	518.30,	1.3,		1,	-2,	-1.8,	-1.4,	-1.2,	 0,	0,	0,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	775.00,	6.7,		3,	5.5,	5.6,	5.3,	4.5,	2,	1,	3,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	782.70,	3.7,		3,	5,	4.5,	4.2,	4.5,	 -1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	786.40,	2.8,		2,	5.2,	5.4,	5.5,	5.2,	 1,	1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb4",	789.20,	2,		2,	5.2,	5.4,	5.7,	5.95,	 0,	0,	0,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	794.90,	1.7,		1,	3.7,	3.1,	2.7,	2.5,	 -1,	-1,	-1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	796.60,	5.1,		1,	3.3,	3.4,	3.6,	3.9,	 -1,	-1,	-1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb4",	801.70,	1.7,		2,	3,	3.2,	3.4,	3.5,	 0,	0,	0,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	830.25,	6.95,		4,	4.9,	5.3,	5.2,	4.4,	1,	1,	2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	849.80,	3.4,		1,	4.7,	5,	5.5,	5.8,	1,	1,	1,	.3,	.3,	4,	4,	2,	10,	10,	1
schedule	"cb4",	882.30,	1.8,		2,	5.6,	5.5,	5.4,	5.2,	 0,	0,	0,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	884.10,	.5,		1,	5.5,	5.4,	5.2,	5.1,	 0,	0,	0,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb4",	884.60,	4,		2,	4.4,	4.6,	4.9,	4.7,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb4",	888.60,	1.4,		3,	4.5,	4.9,	5.2,	5.5,	0,	0,	0,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	910.80,	4.3,		4,	-1,	1,	2.5,	2.9,	5,	5,	1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	914.30,	2.8,		1,	-1.4,	-1,	-.5,	.2,	0,	0,	0,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	917.40,	3.9,		3,	-.6,	-1,	0,	1.3,	-2,	-2,	-2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	933.50,	3.6,		2,	-.8,	.5,	1.3,	1.9,	3,	1,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	917.40,	3.9,		3,	-.6,	-1,	0,	1.3,	-2,	-2,	-2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	944.20,	.6,		3,	-1.5,	-1,	-.8,	-.5,	 1,	0,	1,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	944.80,	4.5,		2,	2.2,	1.8,	2.6,	4.1,	-1,	-1,	0,	.3,	.3,	3,	3,	3,	90,	90,	1
schedule	"cb4",	949.30,	2.6,		1,	1.6,	2,	2.9,	2.8,	-1,	1,	-2,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	952.00,	4.7,		2,	4.3,	4.4,	4.2,	2.3,	1,	1,	3,	.3,	.3,	3,	3,	3,	10,	90,	1
schedule	"cb4",	956.70,	1.8,		1,	3.3,	3.4,	3.5,	3.2,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	10,	1
schedule	"cb4",	963.90,	5.8,		3,	.5,	.4,	0,	-1.7,	2,	2,	2,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	991.70,	3.8,		4,	-.7,	-1.2,	-.9,	-.6,	-1,	-1,	1,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"cb4",	1010.50,	7.3,		1,	1.7,	4.5,	4,	2.3,	1,	1,	1,	.3,	.3,	2,	4,	4,	10,	90,	1
schedule	"cb4",	1017.80,	3.1,		2,	.4,	.9,	.4,	-.8,	1,	1,	1,	.3,	.3,	3,	3,	3,	90,	10,	1

turnoff

endif


endin



;=======================================
instr cb4			; stretching samples CB4
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if i(gkSmp234) = 1 then
iSmpl	= 0
else
iSmpl = 4
endif 


idur  = p3

ilock = p19 

itab = p4+iSmpl	; 1=prima corda  2=seconda corda  3=terza corda  4=quarta corda

ipw1 = p5
ipw2 = p6
ipw3 = p7
ipw4 = p8
ityp1= p9
ityp2= p10 
ityp3= p11
idur1= idur/p14
idur2= idur/p15
idur3= idur/p16

ihlfstp = 2^(1/12)

ia	=	ihlfstp^ipw1
ib	=	ihlfstp^ipw2
ic	=	ihlfstp^ipw3
id	=	ihlfstp^ipw4

;			ia,	idur1		itype	 ib  idur2	itype  ic  idur3	itype	 id
kpitch transeg	ia,	idur1,  	ityp1, ib, idur2, ityp2, ic, idur3,	ityp3, id

imp1	=	p12*0dbfs
imp2	=	p13*0dbfs

ia	=	idur/p17
ib	=	idur/p18

;kamp	expseg	.001, ia, imp1, idur-(ia+ib), imp2, ib, .001
kamp	linseg	0, ia, imp1, idur-(ia+ib), imp2, ib, 0

itimescale = .5
;atime line   .1,idur,idur*itimescale
atime line   idur*itimescale,idur,.1

gaCB4		mincer atime, kamp, kpitch, itab, ilock

;outq	gaCB4,gaCB4,gaCB4,gaCB4

endin

;=======================================
instr cb1out		; out CB1
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

kgn_cb1	invalue	"gncb1"
asig	=	gaCB1 * kgn_cb1


if	i(gkCB1) = 3 then
ifn	=	9
idur1	=	1030.93
elseif i(gkCB1) = 2 || i(gkCB1) = 4 then
ifn	=	13
idur1	=	1024.20
endif


ktime	line	0, idur1, idur1
kreverbsend	= .5
kx	= 	0
ky	=	0
kmut	invalue	"mtcb1"
kmute	= 1 - kmut
kmt_cb1		port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_cb1, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_cb1		rms 	a1 + a2 + a3 + a4
ksns_cb1	=  5	
		outvalue "cb1", ksns_cb1 * k_cb1 / 0dbfs

ga1_cb1	= ga1_cb1 + aLf
ga2_cb1	= ga2_cb1 + aRf
ga3_cb1	= ga3_cb1 + aLr
ga4_cb1	= ga4_cb1 + aRr


		outq		a1, a2, a3, a4
		clear		gaCB1

		endin

;=======================================
instr cb2out		; out CB2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

kgn_cb2	invalue	"gncb2"
asig	=	gaCB2 * kgn_cb2


if i(gkCB234) = 1 then
ifn	=	10
idur2	=	524.71
elseif i(gkCB234) = 2 then
ifn	=	14
idur2	=	522.80
endif


ktime	line	0, idur2, idur2
kreverbsend	= .5
kx	= 	0
ky	=	0
kmut	invalue	"mtcb2"
kmute	= 1 - kmut
kmt_cb2		port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_cb2, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_cb2		rms 	a1 + a2 + a3 + a4
ksns_cb2	=  5	
		outvalue "cb2", ksns_cb2 * k_cb2 / 0dbfs

ga1_cb2	= ga1_cb2 + aLf
ga2_cb2	= ga2_cb2 + aRf
ga3_cb2	= ga3_cb2 + aLr
ga4_cb2	= ga4_cb2 + aRr


		outq		a1, a2, a3, a4
		clear		gaCB2

		endin

;=======================================
instr cb3out		; out CB3
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

kgn_cb3	invalue	"gncb3"
asig	=	gaCB3 * kgn_cb3

if i(gkCB234) = 1 then
ifn	=	11
idur3	=	1014
elseif i(gkCB234) = 2 then
ifn	=	15
idur3	=	1012.20
endif


ktime	line	0, idur3, idur3
kreverbsend	= .5
kx	= 	0
ky	=	0
kmut	invalue	"mtcb3"
kmute	= 1 - kmut
kmt_cb3		port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_cb3, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_cb3		rms 	a1 + a2 + a3 + a4
ksns_cb3	=  5	
		outvalue "cb3", ksns_cb3 * k_cb3 / 0dbfs

ga1_cb3	= ga1_cb3 + aLf
ga2_cb3	= ga2_cb3 + aRf
ga3_cb3	= ga3_cb3 + aLr
ga4_cb3	= ga4_cb3 + aRr


		outq		a1, a2, a3, a4
		clear		gaCB3

		endin

;=======================================
instr cb4out		; out CB4
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

kgn_cb4	invalue	"gncb4"
asig	=	gaCB4 * kgn_cb4


if i(gkCB234) = 1 then
ifn	=	12
idur4	=	1023.05
elseif i(gkCB234) = 2 then
ifn	=	16
idur4	=	1020.90
endif


ktime	line	0, p3, 1030.931882
kreverbsend	= .5
kx	= 	0
ky	=	0
kmut	invalue	"mtcb4"
kmute	= 1 - kmut
kmt_cb4		port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_cb4, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_cb4		rms 	a1 + a2 + a3 + a4
ksns_cb4	=  5	
		outvalue "cb4", ksns_cb4 * k_cb4 / 0dbfs

ga1_cb4	= ga1_cb4 + aLf
ga2_cb4	= ga2_cb4 + aRf
ga3_cb4	= ga3_cb4 + aLr
ga4_cb4	= ga4_cb4 + aRr


		outq		a1, a2, a3, a4
		clear		gaCB4

		endin



;=======================================

; P E R C U S S I O N

;=======================================


;=======================================
instr PC12			; options call Percussion (impulse)
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:


;printk	.1, gkPC12, 40

if 		i(gkPC12) = 1 then
clear	ga_pcin
turnoff

elseif 	i(gkPC12) = 2 then
ga_pcin	inch	2


elseif	i(gkPC12) = 3 then
 
clear	ga_pcin

        istart1 = 0 
         iend1 = 192
looppoint1: 
        ip21  table  istart1, gir25 

        schedule "pc1", ip21, 2 
;print	ip21
        loop_le istart1,1,iend1,looppoint1


        istart2 = 0 
         iend2 = 193
looppoint2: 
        ip22  table  istart2, gir26
;print	ip22

if	ip22=0 igoto qua

        schedule "pc2", ip22, 2 
qua:
        loop_le istart2,1,iend2,looppoint2

turnoff

endif


endin


;=======================================
instr pc1			; sample, spatialization and out Percussion (impulse)
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

asig_01	tambourine	30000, .1;, 0, .009, 0, 400, 4000, 10000
asig_02	cabasa	30000, .01;, 800, .009 
asig_03	sleighbells 20000, 0.01
asig_04	diskin2	"scod_perc-mn_03.wav", 1
;asig_05	diskin2	"30-bel06-bruma-2c.aif", 1
;asig_06	diskin2	"30-bel07-sing-mn.wav", 1
;asig_07	diskin2	"30-bel09-bruma-mn.wav", 1
;asig_08	diskin2	"30-prc01-baligng-mn.wav", 1.1
;asig_09	diskin2	"30-prc03-chgong-mn.wav", 1
;asig_10	diskin2	"30-prc06-hcy-mn.wav", 1
;asig_11	diskin2	"30-prc12-hcy-mn.wav", 1
;asig_12	barmodel    1, 1, p4, 0.001, 0.23, 5, p5, p6, p7

;printk	.1, gksig

if gkpulse == 1 then
ga_pc1	= ga_pc1 + asig_01
endif

if gkpulse == 2 then
ga_pc1	= ga_pc1 + asig_02
endif

if gkpulse == 3 then
ga_pc1	= ga_pc1 + asig_03
endif

if gkpulse == 4 then
ga_pc1	= ga_pc1 + asig_04
endif

endin

;=======================================
instr pc2			; sample Percussion 1+2 (impulse)
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

asig_01	tambourine	30000, .1;, 0, .009, 0, 400, 4000, 10000
asig_02	cabasa	30000, .01;, 800, .009 
asig_03	sleighbells 20000, 0.01
asig_04	diskin2	"scod_perc-mn_04.wav", 1
;asig_05	diskin2	"30-bel06-bruma-2c.aif", 1
;asig_06	diskin2	"30-bel07-sing-mn.wav", 1
;asig_07	diskin2	"30-bel09-bruma-mn.wav", 1
;asig_08	diskin2	"30-prc01-baligng-mn.wav", 1.1
;asig_09	diskin2	"30-prc03-chgong-mn.wav", 1
;asig_10	diskin2	"30-prc06-hcy-mn.wav", 1
;asig_11	diskin2	"30-prc12-hcy-mn.wav", 1
;asig_12	barmodel    1, 1, p4, 0.001, 0.23, 5, p5, p6, p7

if gkpulse == 1 then
ga_pc2	= ga_pc2 + asig_01
endif

if gkpulse == 2 then
ga_pc2	= ga_pc2 + asig_02
endif

if gkpulse == 3 then
ga_pc2	= ga_pc2 + asig_03
endif

if gkpulse == 4 then
ga_pc2	= ga_pc2 + asig_04
endif

;ga_pc2	= ga_pc2*.5

;		outq		ga_pc2, ga_pc2, ga_pc2, ga_pc2

;ksmp	downsamp	ga_pc2
;printk .1, ksmp


		endin

;=======================================
instr pc12out		; spatialization and out Percussion 1+2 (impulse)
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

asig	sum	ga_pc1, ga_pc2, ga_pcin


kamp	invalue	"gnmt"
kmp	port	kamp, .01

ifn	=	28
ktime	line	0, p3, p3
kreverbsend	= .3
kx	=	0	;p4;-1.5
ky	=	0	;p5;0

kmut		invalue	"mtmt"
kmute		= 1 - kmut
kmt_mt	port	kmute, .01

;printk	.1,kmt_mt 
;printk	.1,kmp,20

a1, a2, a3, a4		space asig * kmp * kmt_mt, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_mt	rms 	a1 + a2 + a3 + a4
ksns_mt	=  5	
		outvalue "mt", ksns_mt * k_mt / 0dbfs

ga1_mt1	= ga1_mt1 + aLf
ga2_mt1	= ga2_mt1 + aRf
ga3_mt1	= ga3_mt1 + aLr
ga4_mt1	= ga4_mt1 + aRr

		outq		a1, a2, a3, a4

clear		ga_pc1, ga_pc2, ga_pcin

		endin


;=======================================
instr PC3			; options call Percussion (first)
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if 		i(gkPC12) = 1 then
turnoff

else

	istart = 0 
	iend = 77
looppoint: 
        ip2  table  istart, gir27 

        schedule "pc3", ip2, 10 
;print	ip2
        loop_le istart,1,iend,looppoint

turnoff

endif

endin


;=======================================
instr pc3			; sample Percussion 3 (first)
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

asig_01	guiro		25000, p3;, 0, 0, 0, 1800, 5000
asig_02	bamboo	9000, .1, 0, .035, 0, 1000, 3000, 10000
asig_03	cabasa	20000, .01;, 800, .009
asig_04	diskin2	"30-prc01-gaml1-mn.wav", 1

gkfirst	invalue	"first"

if gkfirst == 1 then
ga_pc3	= ga_pc3 + asig_01
endif

if gkfirst == 2 then
ga_pc3	= ga_pc3 + asig_02
endif

if gkfirst == 3 then
ga_pc3	= ga_pc3 + asig_03
endif

if gkfirst == 4 then
ga_pc3	= ga_pc3 + asig_04
endif

endin

;=======================================
instr pc3out		; spatialization and out Percussion 3 (first)
;=======================================

asig	=	ga_pc3

kamp	invalue	"gnwoo"
kmp	port	kamp, .01	; linen crea dei grossi problemi con interfaccia !!!

ifn	=	29
ktime	line	0, p3, p3
kreverbsend	= .2
kx	=	0	;p4	;1.5	;linseg	0, 1.5, 3, p3-1.5, 7
ky	=	0	;p5	;0


kmut	invalue	"mtwoo"
kmute	= 1 - kmut
kmt_woo		port	kmute, .01

a1, a2, a3, a4		space	asig * kmp * kmt_woo, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_woo		rms 	a1 + a2 + a3 + a4
ksns_woo	=  5	
		outvalue "woo", ksns_woo * k_woo / 0dbfs

ga1_woo	= ga1_woo + aLf
ga2_woo	= ga2_woo + aRf
ga3_woo	= ga3_woo + aLr
ga4_woo	= ga4_woo + aRr

		outq		a1, a2, a3, a4

		clear		ga_pc3

		endin

;=======================================

; V O C A L I S E   A D   L I B I T U M

;=======================================

;=======================================
instr VX1			; options call Vocalise 1
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if		i(gkVX1234)	=	1 then
gkled3 = 0
gkled4 = 0 
turnoff

elseif	i(gkVX1234)	=	2 then

;		p1		p2		p3	p4	p5	p6	p7	p8	p9	p10	p11	p12	p13	p14	p15	p16	p17	p18	p19
;GARDEN_01

schedule	"vx1mnc",	60.8,		6.6,	17,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1	

;GARDEN_03
schedule	"vx1mnc",	357.2,	1,	17,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_05
schedule	"vx1mnc",	614.5,	.5,	17,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_06
schedule	"vx1mnc",	747.9,	1.3,	17,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_08
schedule	"vx1mnc",	986.9,	4.4,	17,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

gkled3 = 1
gkled4 = 0

turnoff

elseif	i(gkVX1234)	=	3 then


;GARDEN_01	p1		p2		p3	p4	p5	p6	p7	p8	p9	p10	p11

schedule	"vx1pvx",	60.8,		6.6,	.64,	.65,	.99,	1.06,	.999,	.6,	.8,	2

;GARDEN_03
schedule	"vx1pvx",	357.2,	1,	.63,	.65,	.7,	.69,	.72,	.9,	.2,	.5

;GARDEN_05
schedule	"vx1pvx",	614.5,	.5,	.63,	.65,	.81,	.72,	.76,	1.3,	.1,	.4

;GARDEN_06
schedule	"vx1pvx",	747.9,	1.3,	.64,	.65,	.89,	.86,	.864,	.3,	.3,	.9

;GARDEN_08
schedule	"vx1pvx",	986.9,	4.4,	.64,	.645,	.69,	.67,	.726,	.3,	.5,	3

gkled3 = 0
gkled4 = 1

turnoff

endif


endin

;=======================================
instr vx1mnc		; stretching sample Vocalise 1
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if i(gkmnc) = 1 then
iSmpl	= 0
else
iSmpl = 4
endif 


idur  = p3

ilock = p19 

itab = p4+iSmpl	; 17=prima vocale  18=seconda vocale  19=terza vocale  20=quarta vocale  - p4  sempre 17, ma se si applica +4 diventa tabella 21

ipw1 = p5
ipw2 = p6
ipw3 = p7
ipw4 = p8
ityp1= p9
ityp2= p10 
ityp3= p11
idur1= idur/p14
idur2= idur/p15
idur3= idur/p16

ihlfstp = 2^(1/12)

ia	=	ihlfstp^ipw1
ib	=	ihlfstp^ipw2
ic	=	ihlfstp^ipw3
id	=	ihlfstp^ipw4

;			ia,	idur1		itype	 ib  idur2	itype  ic  idur3	itype	 id
kpitch transeg	ia,	idur1,  	ityp1, ib, idur2, ityp2, ic, idur3,	ityp3, id

imp1	=	p12*0dbfs
imp2	=	p13*0dbfs

ia	=	idur/p17
ib	=	idur/p18

kamp	linseg	0, ia, imp1, idur-(ia+ib), imp2, ib, 0

itimescale = .5
atime line   .1,idur,idur*itimescale

asig		mincer atime, kamp, kpitch, itab, ilock


;move_circolare

kangolo init	3.14159/4
incr		=	6.2832 / p3 / kr * 1
kx		=	cos(kangolo) - 1
ky		=	sin(kangolo) + 1
kangolo	=	kangolo + incr


ifn	=	0
ktime	line	0, p3, p3
kreverbsend	= .5

kgn_vc1	invalue	"gnvc1"
;printk	.1, kgn_vc1

kmut	invalue	"mtvc1"
kmute	= 1 - kmut
kmt_vc		port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_vc * kgn_vc1, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_vc1	rms 	a1 + a2 + a3 + a4
ksns_vc1	=  5	

		outvalue "vc1", ksns_vc1 * k_vc1 / 0dbfs

ga1_vc1	= ga1_vc1 + aLf
ga2_vc1	= ga2_vc1 + aRf
ga3_vc1	= ga3_vc1 + aLr
ga4_vc1	= ga4_vc1 + aRr

		outq		a1, a2, a3, a4

endin


;=======================================
instr vx1pvx		; stretching pvx Vocalise 1
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

;printk	.1, gkpvx

ktimpnt	line		p4, p3, p5
kfmod		linseg	p6, p3/2, p7, p3/2, p8

if i(gkpvx)	= 1 then
Sfile		= "Ryoanji_01.pvx"
else
Sfile		= "myVx_I.pvx"
endif

fsigr 	pvsfread	ktimpnt, Sfile
fftblur	pvscale	fsigr, kfmod
apvx  	pvsynth	fftblur

kenv 		linen		p9, p10, p3, p11
asig		=		apvx * kenv


;move_circolare

kangolo init	3.14159/4
incr		=	6.2832 / p3 / kr * 1
kx		=	cos(kangolo) - 1
ky		=	sin(kangolo) + 1
kangolo	=	kangolo + incr


ifn	=	0
ktime	line	0, p3, p3
kreverbsend	= .5

kgn_vc1	invalue	"gnvc1"
;printk	.1, kgn_vc1

kmut	invalue	"mtvc1"
kmute	= 1 - kmut
kmt_vc		port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_vc * kgn_vc1, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_vc1	rms 	a1 + a2 + a3 + a4
ksns_vc1	=  5	

		outvalue "vc1", ksns_vc1 * k_vc1 / 0dbfs

ga1_vc1	= ga1_vc1 + aLf
ga2_vc1	= ga2_vc1 + aRf
ga3_vc1	= ga3_vc1 + aLr
ga4_vc1	= ga4_vc1 + aRr

		outq		a1, a2, a3, a4

		endin


;=======================================
instr VX2			; options call Vocalise 2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:
	
if		i(gkVX1234)	=	1 then
gkled3 = 0
gkled4 = 0 
turnoff

elseif	i(gkVX1234)	=	2 then

;		p1		p2		p3	p4	p5	p6	p7	p8	p9	p10	p11	p12	p13	p14	p15	p16	p17	p18	p19

;GARDEN_01

schedule	"vx2mnc",	44.7,		2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	113.2,	2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	117,		4.8,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	125.8,	2.1,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	130.2,	.4,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	133,		2.5,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	147,		7.8,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_04
schedule	"vx2mnc",	425.4,	2.5,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	509.3,	2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_05
schedule	"vx2mnc",	534.4,	.2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	564,		17,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	602.7,	6,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	622.75,	2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_06
schedule	"vx2mnc",	673,		8.2,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1	
schedule	"vx2mnc",	735.2,	3.1,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx2mnc",	742,		4.5,	18,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

gkled3 = 1
gkled4 = 0

turnoff

elseif	i(gkVX1234)	=	3 then


;GARDEN_01	p1		p2		p3	p4	p5	p6	p7	p8		p9	p10	p11

schedule	"vx2pvx",	44.7,		2,	.28,	.32,	.98,	.989,	.95,		1,	.8,	.7
schedule	"vx2pvx",	113.2,	2,	.2, 	.3,	.98,	.91,	.99,		1,	.8,	.7
schedule	"vx2pvx",	117,		4.8,	.29,	.33,	.93,	.89,	.99,		1,	2,	1
schedule	"vx2pvx",	125.8,	2.1,	.22,	.4,	1,	.9,	.91,		1,	.8,	.7
schedule	"vx2pvx",	130.2,	.4,	.12,	.282,	.87,	1.02,	.8888,	1.5,	.1,	.1
schedule	"vx2pvx",	133,		2.5,	.28,	.3,	.9,	.94,	.895,		.8,	1,	1.5
schedule	"vx2pvx",	147,		7.8,	.29,	.299,	.99,	1.01,	.885,		.8,	2,	2.5

;GARDEN_04
schedule	"vx2pvx",	425.4,	2.5,	.18,	.32,	.95,	.99,	1.07,		.8,	.9,	1.5
schedule	"vx2pvx",	509.3,	2,	.18,	.32,	.98,	1.05,	.93,		.8,	.8,	.8

;GARDEN_05
schedule	"vx2pvx",	534.4,	.2,	.151,	.156,	.98,	.96,	.95,		1.9,	.009,	.02
schedule	"vx2pvx",	564,		17,	.155,	.001,	.98,	1.05,	.53,		.9,	2,	3
schedule	"vx2pvx",	602.7,	6,	.156,	.19,	1,	1.05,	1.11,		.8,	1.6,	4
schedule	"vx2pvx",	622.75,	2,	.19,	.191,	.9,	.89,	.81,		.4,	.74,	.73

;GARDEN_06
schedule	"vx2pvx",	673,		8.2,	.2,	.21,	1,	1.08,	.9,		.4,	1,	2	
schedule	"vx2pvx",	735.2,	3.1,	.21,	.205,	.95,	.87,	.895,		.4,	.7,	1
schedule	"vx2pvx",	742,		4.5,	.25,	.24,	.95,	1.1,	.99,		.4,	.7,	1.5

gkled3 = 0
gkled4 = 1

turnoff

endif


endin

;=======================================
instr vx2mnc		; stretching sample Vocalise 2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if i(gkmnc) = 1 then
iSmpl	= 0
else
iSmpl = 4
endif 


idur  = p3

ilock = p19 

itab = p4+iSmpl	; 18=prima vocale  18=seconda vocale  19=terza vocale  20=quarta vocale  - p4  sempre 17, ma se si applica +4 diventa tabella 21

ipw1 = p5
ipw2 = p6
ipw3 = p7
ipw4 = p8
ityp1= p9
ityp2= p10 
ityp3= p11
idur1= idur/p14
idur2= idur/p15
idur3= idur/p16

ihlfstp = 2^(1/12)

ia	=	ihlfstp^ipw1
ib	=	ihlfstp^ipw2
ic	=	ihlfstp^ipw3
id	=	ihlfstp^ipw4

;			ia,	idur1		itype	 ib  idur2	itype  ic  idur3	itype	 id
kpitch transeg	ia,	idur1,  	ityp1, ib, idur2, ityp2, ic, idur3,	ityp3, id

imp1	=	p12*0dbfs
imp2	=	p13*0dbfs

ia	=	idur/p17
ib	=	idur/p18

kamp	linseg	0, ia, imp1, idur-(ia+ib), imp2, ib, 0

itimescale = .5
atime line   .1,idur,idur*itimescale

asig		mincer atime, kamp, kpitch, itab, ilock


;move_circolare

kangolo init	3.14159/4
incr		=	- 6.2832 / p3 / kr * 1
kx		=	cos(kangolo) + 1
ky		=	sin(kangolo)  + 1
kangolo	=	kangolo + incr

ifn	=	0
ktime	line	0, p3, p3
kreverbsend	= .5

kgn_vc2	invalue	"gnvc2"
;printk	.1, kgn_vc2

kmut	invalue	"mtvc2"
kmute		= 1 - kmut
kmt_vc	port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_vc * kgn_vc2, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_vc2		rms 	a1 + a2 + a3 + a4
ksns_vc2	=  5	

		outvalue "vc2", ksns_vc2 * k_vc2 / 0dbfs

ga1_vc2	= ga1_vc2 + aLf
ga2_vc2	= ga2_vc2 + aRf
ga3_vc2	= ga3_vc2 + aLr
ga4_vc2	= ga4_vc2 + aRr

		outq		a1, a2, a3, a4

endin


;=======================================
instr vx2pvx		; stretching pvx Vocalise 2
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

;printk	.1, gkpvx

ktimpnt	line		p4, p3, p5
kfmod		linseg	p6, p3/2, p7, p3/2, p8

if i(gkpvx)	= 1 then
Sfile		= "Ryoanji_01.pvx"
else
Sfile		= "myVx_O.pvx"
endif

fsigr 	pvsfread	ktimpnt, Sfile
fftblur	pvscale	fsigr, kfmod
apvx  	pvsynth	fftblur

kenv 		linen	p9, p10, p3, p11
asig		=	apvx * kenv


;move_circolare

kangolo init	3.14159/4
incr		=	- 6.2832 / p3 / kr * 1
kx		=	cos(kangolo) + 1
ky		=	sin(kangolo)  + 1
kangolo	=	kangolo + incr


ifn	=	0
ktime	line	0, p3, p3
kreverbsend	= .5

kgn_vc2	invalue	"gnvc2"
;printk	.1, kgn_vc2

kmut	invalue	"mtvc2"
kmute	= 1 - kmut
kmt_vc		port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_vc * kgn_vc2, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_vc2	rms 	a1 + a2 + a3 + a4
ksns_vc2	=  5	

		outvalue "vc2", ksns_vc2 * k_vc2 / 0dbfs

ga1_vc2	= ga1_vc2 + aLf
ga2_vc2	= ga2_vc2 + aRf
ga3_vc2	= ga3_vc2 + aLr
ga4_vc2	= ga4_vc2 + aRr

		outq		a1, a2, a3, a4

		endin

;=======================================
instr VX3			; options call Vocalise 3
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:


if		i(gkVX1234)	=	1 then
gkled3 = 0
gkled4 = 0 
turnoff

elseif	i(gkVX1234)	=	2 then


;		p1		p2		p3	p4	p5	p6	p7	p8	p9	p10	p11	p12	p13	p14	p15	p16	p17	p18	p19

;GARDEN_01

schedule	"vx3mnc",	73.86,	5,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx3mnc",	106,		5.4,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_02
schedule	"vx3mnc",	265.1,	1.2,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_04
schedule	"vx3mnc",	434.5,	3.5,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_05
schedule	"vx3mnc",	538.55,	1.55,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx3mnc",	584.55,	1,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx3mnc",	588.9,	.31,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_06
schedule	"vx3mnc",	653.6,	2.1,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx3mnc",	657.4,	4,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_07
schedule	"vx3mnc",	797,		1,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx3mnc",	875,		.8,	19,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

gkled3 = 1
gkled4 = 0

;turnoff

elseif	i(gkVX1234)	=	3 then

;GARDEN_01
;		p1		p2		p3	p4	p5	p6	p7	p8		p9	p10	p11
schedule	"vx3pvx",	73.86,	5,	.48, 	.51,	.8,	.75,	.7799,	.65,	2,	3
schedule	"vx3pvx",	106,		5.4,	.48, 	.51,	.775,	.8,	.75,		.65,	2,	3

;GARDEN_02
schedule	"vx3pvx",	265.1,	1.2,	.48, 	.51,	.71,	.725,	.8123,	.9,	.6,	.6

;GARDEN_04
schedule	"vx3pvx",	434.5,	3.5,	.48, 	.51,	.92,	.895,	.93,		.5,	1,	2.5

;GARDEN_05
schedule	"vx3pvx",	538.55,	1.55,	.47, 	.48,	.97,	.995,	.83,		.4,	.5,	1
schedule	"vx3pvx",	584.55,	1,	.42, 	.45,	.77,	.745,	.79,		.9,	.3,	.6
schedule	"vx3pvx",	588.9,	.31,	.42, 	.45,	.71,	.745,	.83,		1.4,	.1,	.1

;GARDEN_06
schedule	"vx3pvx",	653.6,	2.1,	.42, 	.45,	.765,	.76,	.75,		.4,	.1,	2
schedule	"vx3pvx",	657.4,	4,	.49, 	.5,	.965,	.76,	.79,		.4,	1,	2

;GARDEN_07
schedule	"vx3pvx",	797,		1,	.49, 	.5,	1,	.8,	.85,		1,	.5,	.5
schedule	"vx3pvx",	875,		.8,	.49, 	.5,	.8,	.85,	.81,		1,	.3,	.5

gkled3 = 0
gkled4 = 1

;turnoff

endif


endin


;=======================================
instr vx3mnc		; stretching sample Vocalise 3
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if i(gkmnc) = 1 then
iSmpl	= 0
else
iSmpl = 4
endif 


idur  = p3

ilock = p19 

itab = p4+iSmpl	; 18=prima vocale  18=seconda vocale  19=terza vocale  20=quarta vocale  - p4  sempre 17, ma se si applica +4 diventa tabella 21

ipw1 = p5
ipw2 = p6
ipw3 = p7
ipw4 = p8
ityp1= p9
ityp2= p10 
ityp3= p11
idur1= idur/p14
idur2= idur/p15
idur3= idur/p16

ihlfstp = 2^(1/12)

ia	=	ihlfstp^ipw1
ib	=	ihlfstp^ipw2
ic	=	ihlfstp^ipw3
id	=	ihlfstp^ipw4

;			ia,	idur1		itype	 ib  idur2	itype  ic  idur3	itype	 id
kpitch transeg	ia,	idur1,  	ityp1, ib, idur2, ityp2, ic, idur3,	ityp3, id

imp1	=	p12*0dbfs
imp2	=	p13*0dbfs

ia	=	idur/p17
ib	=	idur/p18

;kamp	expseg	.001, ia, imp1, idur-(ia+ib), imp2, ib, .001
kamp	linseg	0, ia, imp1, idur-(ia+ib), imp2, ib, 0

itimescale = .5
atime line   .1,idur,idur*itimescale

asig		mincer atime, kamp, kpitch, itab, ilock


;move_circolare

kangolo init	3.14159/4
incr		=	-6.2832 / p3 / kr * 1
kx		=	cos(kangolo) - 1
ky		=	sin(kangolo)  - 1
kangolo	=	kangolo + incr

ifn	=	0
ktime	line	0, p3, p3
kreverbsend	= .5

kgn_vc3	invalue	"gnvc3"
;printk	.1, kgn_vc3

kmut	invalue	"mtvc3"
kmute		= 1 - kmut
kmt_vc	port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_vc * kgn_vc3, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_vc3		rms 	a1 + a2 + a3 + a4
ksns_vc3	=  5	

		outvalue "vc3", ksns_vc3 * k_vc3 / 0dbfs

ga1_vc3	= ga1_vc3 + aLf
ga2_vc3	= ga2_vc3 + aRf
ga3_vc3	= ga3_vc3 + aLr
ga4_vc3	= ga4_vc3 + aRr

		outq		a1, a2, a3, a4

endin

;=======================================
instr vx3pvx		; stretching pvx Vocalise 3
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

;printk	.1, gkpvx

ktimpnt	line		p4, p3, p5
kfmod		linseg	p6, p3/2, p7, p3/2, p8

;print	 i(gkpvx)

if i(gkpvx)	= 1 then
Sfile		= "Ryoanji_01.pvx"
else
Sfile		= "myVx_A.pvx"
endif

fsigr 	pvsfread	ktimpnt, Sfile
fftblur	pvscale	fsigr, kfmod
apvx  	pvsynth	fftblur

kenv 		linen		p9, p10, p3, p11
asig		=		apvx * kenv


;move_circolare

kangolo init	3.14159/4
incr		=	-6.2832 / p3 / kr * 1
kx		=	cos(kangolo) - 1
ky		=	sin(kangolo)  - 1
kangolo	=	kangolo + incr


ifn	=	0
ktime	line	0, p3, p3
kreverbsend	= .5

kgn_vc3	invalue	"gnvc3"
;printk	.1, kgn_vc3

kmut	invalue	"mtvc3"
kmute	= 1 - kmut
kmt_vc		port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_vc * kgn_vc3, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_vc3	rms 	a1 + a2 + a3 + a4
ksns_vc3	=  5	

		outvalue "vc3", ksns_vc3 * k_vc3 / 0dbfs

ga1_vc3	= ga1_vc3 + aLf
ga2_vc3	= ga2_vc3 + aRf
ga3_vc3	= ga3_vc3 + aLr
ga4_vc3	= ga4_vc3 + aRr

		outq		a1, a2, a3, a4

		endin

;=======================================
instr VX4			; options call Vocalise 4
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if		i(gkVX1234)	=	1 then
gkled3 = 0
gkled4 = 0 
turnoff

elseif	i(gkVX1234)	=	2 then


;		p1		p2		p3	p4	p5	p6	p7	p8	p9	p10	p11	p12	p13	p14	p15	p16	p17	p18	p19

	
;GARDEN_03

schedule	"vx4mnc",	344.7,	5,	20,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_04
schedule	"vx4mnc",	467.4,	3.2,	20,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_05
schedule	"vx4mnc",	609,		1.7,	20,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx4mnc",	648.8,	1.2,	20,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_06
schedule	"vx4mnc",	669.3,	2.5,	20,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx4mnc",	684.2,	19,	20,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx4mnc",	720.8,	.5,	20,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

;GARDEN_07
schedule	"vx4mnc",	758.5,	7.4,	20,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1
schedule	"vx4mnc",	768.1,	8.3,	20,	0,	0,	0,	0,	0,	0,	0,	.3,	.3,	3,	3,	3,	10,	10,	1

gkled3 = 1
gkled4 = 0

turnoff

elseif	i(gkVX1234)	=	3 then


;GARDEN_03	p1		p2		p3	p4	p5	p6	p7	p8		p9	p10	p11

schedule	"vx4pvx",	344.7,	5,	.8,	1.25,	1.2,	1,	1.1,		.8,	1,	1

;GARDEN_04
schedule	"vx4pvx",	467.4,	3.2,	1.29,	.8,	1.1,	.96,	1.05,		1,	1,	.8

;GARDEN_05
schedule	"vx4pvx",	609,		1.7,	.9,	1.29,	1.35,	1.3,	1.41,		.7,	.8,	.6
schedule	"vx4pvx",	648.8,	1.2,	1.29,	.9,	1.3,	1.44,	1.35,		.7,	.3,	.6

;GARDEN_06
schedule	"vx4pvx",	669.3,	2.5,	.9,	1.1,	1.3,	1.4,	1.2,		.7,	.9,	.9
schedule	"vx4pvx",	684.2,	19,	.82,	1.29,	.99,	1.2,	1.07,		1,	4,	4
schedule	"vx4pvx",	720.8,	.5,	.82,	.89,	1,	.93,	.94,		1,	.2,	.1

;GARDEN_07
schedule	"vx4pvx",	758.5,	7.4,	1.29,	.89,	.91,	1.05,	1.28,		.9,	.2,	2
schedule	"vx4pvx",	768.1,	8.3,	.82,	1.29,	.8,	.78,	.65,		2,	.5,	2

gkled3 = 0
gkled4 = 1

turnoff

endif


endin


;=======================================
instr vx4mnc		; stretching sample Vocalise 4
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

if i(gkmnc) = 1 then
iSmpl	= 0
else
iSmpl = 4
endif 


idur  = p3

ilock = p19 

itab = p4+iSmpl	; 18=prima vocale  18=seconda vocale  19=terza vocale  20=quarta vocale  - p4  sempre 17, ma se si applica +4 diventa tabella 21

ipw1 = p5
ipw2 = p6
ipw3 = p7
ipw4 = p8
ityp1= p9
ityp2= p10 
ityp3= p11
idur1= idur/p14
idur2= idur/p15
idur3= idur/p16

ihlfstp = 2^(1/12)

ia	=	ihlfstp^ipw1
ib	=	ihlfstp^ipw2
ic	=	ihlfstp^ipw3
id	=	ihlfstp^ipw4

;			ia,	idur1		itype	 ib  idur2	itype  ic  idur3	itype	 id
kpitch transeg	ia,	idur1,  	ityp1, ib, idur2, ityp2, ic, idur3,	ityp3, id

imp1	=	p12*0dbfs
imp2	=	p13*0dbfs

ia	=	idur/p17
ib	=	idur/p18

;kamp	expseg	.001, ia, imp1, idur-(ia+ib), imp2, ib, .001
kamp	linseg	0, ia, imp1, idur-(ia+ib), imp2, ib, 0

itimescale = .5
atime line   .1,idur,idur*itimescale

asig		mincer atime, kamp, kpitch, itab, ilock


;move_circolare

kangolo init	3.14159/4
incr		=	6.2832 / p3 / kr * 1
kx		=	cos(kangolo) + 1
ky		=	sin(kangolo)  - 1
kangolo	=	kangolo + incr

ifn	=	0
ktime	line	0, p3, p3
kreverbsend	= .5

kgn_vc4	invalue	"gnvc4"
;printk	.1, kgn_vc4

kmut	invalue	"mtvc4"
kmute		= 1 - kmut
kmt_vc	port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_vc * kgn_vc4, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_vc4		rms 	a1 + a2 + a3 + a4
ksns_vc4	=  5	

		outvalue "vc4", ksns_vc4 * k_vc4 / 0dbfs

ga1_vc4	= ga1_vc4 + aLf
ga2_vc4	= ga2_vc4 + aRf
ga3_vc4	= ga3_vc4 + aLr
ga4_vc4	= ga4_vc4 + aRr

		outq		a1, a2, a3, a4

endin


;=======================================
instr vx4pvx		; stretching pvx Vocalise 4
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

;printk	.1, gkpvx

;idurfile	=		1.311927				;durata in secondi del suono originale

ktimpnt	line		p4, p3, p5
kfmod		linseg	p6, p3/2, p7, p3/2, p8

if i(gkpvx)	= 1 then
Sfile		= "Ryoanji_01.pvx"
else
Sfile		= "myVx_E.pvx"
endif

fsigr 	pvsfread	ktimpnt, Sfile
fftblur	pvscale	fsigr, kfmod
apvx  	pvsynth	fftblur

kenv 		linen		p9, p10, p3, p11
asig		=		apvx * kenv


;move_circolare

kangolo init	3.14159/4
incr		=	6.2832 / p3 / kr * 1
kx		=	cos(kangolo) + 1
ky		=	sin(kangolo)  - 1
kangolo	=	kangolo + incr

ifn	=	0
ktime	line	0, p3, p3
kreverbsend	= .5

kgn_vc4	invalue	"gnvc4"
;printk	.1, kgn_vc4

kmut	invalue	"mtvc4"
kmute	= 1 - kmut
kmt_vc		port	kmute, .3

a1, a2, a3, a4		space	asig * kmt_vc * kgn_vc4, ifn, ktime, kreverbsend, kx, ky
aLf, aRf, aLr, aRr	spsend

k_vc4	rms 	a1 + a2 + a3 + a4
ksns_vc4	=  5	

		outvalue "vc4", ksns_vc4 * k_vc4 / 0dbfs

ga1_vc4	= ga1_vc4 + aLf
ga2_vc4	= ga2_vc4 + aRf
ga3_vc4	= ga3_vc4 + aLr
ga4_vc4	= ga4_vc4 + aRr

		outq		a1, a2, a3, a4

		endin


;=======================================
instr RMS			; rms
;=======================================

kIOrms	invalue "IOrms"
if	i(kIOrms)	= 1 then

a1	sum	ga1_cb1, ga1_cb2, ga1_cb3, ga1_cb4, ga1_mt1, ga1_woo, ga1_vc1, ga1_vc2, ga1_vc3, ga1_vc4
a2	sum	ga2_cb1, ga2_cb2, ga2_cb3, ga2_cb4, ga2_mt1, ga2_woo, ga2_vc1, ga2_vc2, ga2_vc3, ga2_vc4
a3	sum	ga3_cb1, ga3_cb2, ga3_cb3, ga3_cb4, ga3_mt1, ga3_woo, ga3_vc1, ga3_vc2, ga3_vc3, ga3_vc4
a4	sum	ga4_cb1, ga4_cb2, ga4_cb3, ga4_cb4, ga4_mt1, ga4_woo, ga4_vc1, ga4_vc2, ga4_vc3, ga4_vc4

;ksamp1	downsamp	a1
;printk	.1, ksamp1

ksign1 	rms 		a1
ksign2 	rms 		a2
ksign3 	rms 		a3
ksign4 	rms 		a4


ksns	= 6 	;sensibilit

outvalue "Lfrms", ksign1 * ksns / 0dbfs
outvalue "Rfrms", ksign2 * ksns / 0dbfs
outvalue "Lrrms", ksign3 * ksns / 0dbfs
outvalue "Rrrms", ksign4 * ksns / 0dbfs

else
turnoff

endif
		endin


;=======================================
instr REV			; reverb
;=======================================

krev1		invalue	"rev1"
khdif1	invalue	"hdif1"
krev2		invalue	"rev2"
khdif2	invalue	"hdif2"
kRoom3	invalue	"room3"
kDamp3	invalue	"damp3"


;contrabbassi
a1_cb		nreverb ga1_cb1 + ga1_cb2 + ga1_cb3 + ga1_cb4, krev1, khdif1
a2_cb		nreverb ga2_cb1 + ga2_cb2 + ga2_cb3 + ga2_cb4, krev1, khdif1
a3_cb		nreverb ga3_cb1 + ga3_cb2 + ga3_cb3 + ga3_cb4, krev1, khdif1 
a4_cb		nreverb ga4_cb1 + ga4_cb2 + ga4_cb3 + ga4_cb4, krev1, khdif1

;ksamp1	downsamp	ga1_mt1 + ga1_mt2 + ga1_woo
;printk	.1, ksamp1

;percussioni
a1_pc 	nreverb	ga1_mt1 + ga1_woo, krev2, khdif2
a2_pc 	nreverb	ga2_mt1 + ga2_woo, krev2, khdif2
a3_pc 	nreverb	ga3_mt1 + ga3_woo, krev2, khdif2
a4_pc 	nreverb	ga4_mt1 + ga4_woo, krev2, khdif2

;vocalizzi
a1_vc 	nreverb	ga1_vc1 + ga1_vc2 + ga1_vc3 + ga1_vc4, kRoom3, kDamp3
a2_vc		nreverb	ga2_vc1 + ga2_vc2 + ga2_vc3 + ga2_vc4, kRoom3, kDamp3
a3_vc 	nreverb	ga3_vc1 + ga3_vc2 + ga3_vc3 + ga3_vc4, kRoom3, kDamp3 
a4_vc		nreverb	ga4_vc1 + ga4_vc2 + ga4_vc3 + ga4_vc4, kRoom3, kDamp3


a1	=	a1_cb + a1_pc + a1_vc
a2	=	a2_cb + a2_pc + a2_vc
a3	=	a3_cb + a3_pc + a3_vc
a4	=	a4_cb + a4_pc + a4_vc

		outq		a1, a2, a3, a4

ga1_cb1	=	0
ga2_cb1	=	0
ga3_cb1	=	0
ga4_cb1	=	0

ga1_cb2	=	0
ga2_cb2	=	0
ga3_cb2	=	0
ga4_cb2	=	0

ga1_cb3	=	0
ga2_cb3	=	0
ga3_cb3	=	0
ga4_cb3	=	0

ga1_cb4	=	0
ga2_cb4	=	0
ga3_cb4	=	0
ga4_cb4	=	0

ga1_mt1	=	0
ga2_mt1	=	0
ga3_mt1	=	0
ga4_mt1	=	0

ga1_mt2	=	0
ga2_mt2	=	0
ga3_mt2	=	0
ga4_mt2	=	0

ga1_woo	=	0
ga2_woo	=	0
ga3_woo	=	0
ga4_woo	=	0

ga1_vc1	= 	0
ga2_vc1	=	0
ga3_vc1	= 	0
ga4_vc1	= 	0

ga1_vc2	= 	0
ga2_vc2	= 	0
ga3_vc2	= 	0
ga4_vc2	= 	0

ga1_vc3	= 	0
ga2_vc3	= 	0
ga3_vc3	= 	0
ga4_vc3	= 	0

ga1_vc4	= 	0
ga2_vc4	= 	0
ga3_vc4	= 	0
ga4_vc4	= 	0

		endin


;=======================================
;=======================================

; G   U   I

;=======================================
;=======================================



;=======================================
instr MTR			; metronome
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

idur	= 	p6	

daqua:
;kenv	linseg	0, idur*.5, 1, idur*.5, 0
gkmet1	linseg	0, p4, 1, p5, 1, p4, 0, idur - ((2 * p4) + p5), 0
gkmet2	linseg	0, idur - ((2 * p4) + p5), 0, p4, 1, p5, 1, p4, 0

timout	0, idur, continua
reinit	daqua 
continua:
rireturn

		endin

;=======================================
instr TIM			; timer
;=======================================

if gkiPlay != 0 goto cont
turnoff
cont:

ktime		timeinsts
		outvalue "timer", ktime + i(gkskiptim)

		endin

;=======================================
instr 300			; GUI_RESET
;=======================================

ival		init		0.5
ival1		init		4

;outvalue	"skiptim", 0

outvalue	"gncb1", ival
outvalue	"gncb2", ival
outvalue	"gncb3", ival
outvalue	"gncb4", ival

outvalue	"gnmt",  0.3
outvalue	"mtmt",  0

outvalue	"gnwoo", .3
outvalue	"mtwoo", 0

outvalue	"gnvc1", ival/ival1
outvalue	"gnvc2", ival/ival1
outvalue	"gnvc3", ival/ival1
outvalue	"gnvc4", ival/ival1


outvalue	"mtvc1", 0
outvalue	"mtvc2", 0
outvalue	"mtvc3", 0
outvalue	"mtvc4", 0


outvalue	"mm1", gkmet1
outvalue	"mm2", gkmet2

outvalue	"led1",	gkled1
outvalue	"led2",	gkled2
outvalue	"led3",	gkled3
outvalue	"led4",	gkled4

		endin



;=======================================
instr 301			; GUI_IN
;=======================================

;when/dur (rec)
gkrec		invalue	"rec"
gkwhen	invalue	"when"
gkdur		invalue	"dur"



gkCB1		invalue 	"CB1"
gkCB234	invalue 	"CB234"
gkSmpCB1	invalue 	"SmpCB1"
gkSmp234	invalue 	"SmpCB234"
gkskiptim	invalue	"skiptim"



gkPC12	invalue 	"PC12"
gkpulse	invalue	"pulse"
gkfirst	invalue	"first"


gkVX1234	invalue	"VX1234"
gkmnc		invalue 	"mnc"
gkpvx		invalue 	"pvx"


endin

;=======================================
instr 302			; GUI_OUT
;=======================================

;printk	.1, 		gkirec
outvalue	"Rec", 	gkirec
outvalue	"src", 	gknvTmout
outvalue	"r1",		gktmRec

outvalue	"play", 	gkiPlay

outvalue	"led1", 	gkled1
outvalue	"led2", 	gkled2
	
outvalue	"led3",	gkled3
outvalue	"led4",	gkled4

outvalue	"mm1", 	gkmet1
outvalue	"mm2", 	gkmet2

endin


;========================================================= THE_END =============================================================
</CsInstruments>
<CsScore>
/* ============================================================================================================================ */
/* ============================================================================================================================ */
/* ============================================================================================================================ */
/* ============================================================================================================================ */
/* ====================================================== JOHN_CAGE-RYOANJI =================================================== */
/* ============================================================================================================================ */
/* ============================================================================================================================ */
/* ============================================================================================================================ */

/* ======================================================== SOUND SYSTEM ====================================================== */


f0	3600 			; active for one hour


; agogica

t0	60


; skiptime (advance)

a0	0	0		; [ section:  I=32 ; II=156 ; III=280 ; IV=404 ; V=528 ; VI=652 ; VII=776 ; VIII=900 ]


; RESET GUI
i300		0	.1

; GUI IN
i301		.1	-1

; GUI OUT
i302		.1	-1


e
</CsScore>

</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: None
Listing: None
WindowBounds: 2 46 1438 894
CurrentView: orc
IOViewEdit: Off
Options: -b1024 -A -o/Users/enrico/Desktop/RYOANJI/Ryoanji_1.2_[ALL].aif -s -m0 -K -R 
</MacOptions>
<MacGUI>
ioView background {65535, 39321, 26214}
ioText {410, 24} {605, 142} label 0.000000 0.001000 "" center "JazzText" 14 {0, 0, 0} {65535, 65535, 65535} nobackground border 
ioText {348, 195} {1039, 274} label 0.000000 0.001000 "" left "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground border 
ioText {149, 478} {691, 275} label 0.000000 0.001000 "" left "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground border 
ioButton {534, 532} {304, 221} pict 1.000000 "" "Button" "/Users/enrico/Desktop/Ryoanji/PICT/Sabbia_woo.pict" i1 0 10
ioText {30, 195} {309, 274} label 0.000000 0.001000 "" left "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground border 
ioButton {1078, 241} {302, 226} pict 1.000000 "" "Button" "/Users/enrico/Desktop/Ryoanji/PICT/Stone_04.pict" i1 0 10
ioButton {774, 241} {302, 226} pict 1.000000 "" "Button" "/Users/enrico/Desktop/Ryoanji/PICT/Stone_03.pict" i1 0 10
ioButton {351, 241} {302, 226} pict 1.000000 "" "Button" "/Users/enrico/Desktop/Ryoanji/PICT/Stone_02.pict" i1 0 10
ioText {730, 102} {89, 58} label 0.000000 0.100000 "" center "Lucida Grande" 11 {0, 0, 0} {65535, 65535, 65535} nobackground border file skiptime
ioText {263, 493} {69, 37} label 0.000000 0.001000 "" center "JazzText" 18 {65535, 0, 0} {65535, 65535, 65535} nobackground border impulse
ioText {651, 494} {57, 36} label 0.000000 0.001000 "" center "JazzText" 18 {65535, 0, 0} {65535, 65535, 65535} nobackground border first
ioText {355, 249} {48, 25} display 0.500000 0.001000 "gncb2" right "Lucida Grande" 10 {65535, 65535, 65535} {65535, 65535, 65535} nobackground noborder 
ioSlider {363, 270} {34, 165} 0.000000 2.000000 0.500000 gncb2
ioCheckbox {365, 432} {30, 30} off mtcb2
ioText {779, 250} {48, 25} display 0.500000 0.001000 "gncb3" right "Lucida Grande" 10 {65535, 65535, 65535} {65535, 65535, 65535} nobackground noborder 
ioSlider {787, 271} {34, 165} 0.000000 2.000000 0.500000 gncb3
ioCheckbox {789, 433} {30, 30} off mtcb3
ioButton {34, 241} {302, 226} pict 1.000000 "" "Button" "/Users/enrico/Desktop/Ryoanji/PICT/Stone_01.pict" i1 0 10
ioText {40, 249} {48, 25} display 0.500000 0.001000 "gncb1" right "Lucida Grande" 10 {65535, 65535, 65535} {65535, 65535, 65535} nobackground noborder 
ioSlider {48, 270} {34, 165} 0.000000 2.000000 0.500000 gncb1
ioCheckbox {50, 432} {30, 30} off mtcb1
ioText {86, 199} {48, 42} label 0.000000 0.001000 "" center "JazzText" 24 {65535, 0, 0} {65535, 65535, 65535} nobackground border I
ioText {1085, 249} {48, 25} display 0.500000 0.001000 "gncb4" right "Lucida Grande" 10 {65535, 65535, 65535} {65535, 65535, 65535} nobackground noborder 
ioSlider {1093, 270} {34, 165} 0.000000 2.000000 0.500000 gncb4
ioCheckbox {1095, 432} {30, 30} off mtcb4
ioMeter {26, 47} {37, 54} {52428, 65535, 26214} "Lfrms" 0.000000 "Lfrms" 0.000000 fill 1 0 mouse
ioText {26, 12} {37, 34} label 0.000000 0.001000 "" center "JazzText" 16 {0, 0, 0} {65535, 65535, 65535} nobackground noborder Lf
ioText {1359, 14} {37, 34} label 0.000000 0.001000 "" center "JazzText" 16 {0, 0, 0} {65535, 65535, 65535} nobackground noborder Rf
ioMeter {1359, 49} {37, 54} {52428, 65535, 26214} "Rfrms" 0.000000 "Rfrms" 0.000000 fill 1 0 mouse
ioText {19, 676} {37, 34} label 0.000000 0.001000 "" center "JazzText" 16 {0, 0, 0} {65535, 65535, 65535} nobackground noborder Lr
ioMeter {19, 711} {37, 54} {52428, 65535, 26214} "Lrrms" 0.000000 "Lrrms" 0.000000 fill 1 0 mouse
ioText {1360, 673} {37, 34} label 0.000000 0.001000 "" center "JazzText" 16 {0, 0, 0} {65535, 65535, 65535} nobackground noborder Rr
ioMeter {1360, 708} {37, 54} {52428, 65535, 26214} "Rrrms" 0.000000 "Rrrms" 0.000000 fill 1 0 mouse
ioButton {152, 532} {304, 221} pict 1.000000 "" "Button" "/Users/enrico/Desktop/Ryoanji/PICT/Sabbia_mt.pict" i1 0 10
ioText {156, 537} {48, 25} display 0.432800 0.001000 "AMP" right "Lucida Grande" 10 {65535, 65535, 65535} {65535, 65535, 65535} nobackground noborder 
ioSlider {164, 556} {34, 165} 0.000000 2.000000 0.300000 gnmt
ioCheckbox {166, 717} {30, 30} off mtmt
ioText {540, 536} {48, 25} display 0.300000 0.001000 "gnwoo" right "Lucida Grande" 10 {65535, 65535, 65535} {65535, 65535, 65535} nobackground noborder 
ioSlider {548, 556} {34, 165} 0.000000 2.000000 0.300000 gnwoo
ioCheckbox {550, 713} {30, 30} off mtwoo
ioText {31, 154} {110, 36} label 0.000000 0.001000 "" center "JazzText" 18 {0, 0, 0} {65535, 65535, 65535} background border CONTRABASS
ioText {475, 199} {48, 42} label 0.000000 0.001000 "" center "JazzText" 24 {65535, 0, 0} {65535, 65535, 65535} nobackground border II
ioText {902, 199} {48, 42} label 0.000000 0.001000 "" center "JazzText" 24 {65535, 0, 0} {65535, 65535, 65535} nobackground border III
ioText {1204, 199} {48, 42} label 0.000000 0.001000 "" center "JazzText" 24 {65535, 0, 0} {65535, 65535, 65535} nobackground border IV
ioSlider {672, 304} {34, 158} 0.000000 3.000000 2.149200 rev1
ioSlider {714, 304} {34, 158} 0.000000 1.000000 0.047200 hdif1
ioText {730, 59} {88, 38} display 4.574150 1.000000 "timer" right "Lucida Grande" 20 {0, 0, 0} {65535, 65535, 65535} nobackground border 
ioText {733, 125} {82, 33} control 0.000000 0.100000 "skiptim" right "Lucida Grande" 16 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioText {671, 265} {40, 24} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder time
ioText {671, 241} {78, 24} label 0.000000 0.001000 "" center "JazzText" 9 {0, 0, 0} {65535, 65535, 65535} background noborder reverb
ioText {669, 289} {42, 24} display 2.149500 0.010000 "rev1" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioText {707, 265} {44, 24} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder dif
ioText {714, 289} {33, 24} display 0.047200 0.100000 "hdif1" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioText {445, 483} {96, 33} label 0.000000 0.001000 "" center "JazzText" 14 {0, 0, 0} {65535, 65535, 65535} background border PERCUSSIONS
ioText {456, 526} {78, 24} label 0.000000 0.001000 "" center "JazzText" 9 {0, 0, 0} {65535, 65535, 65535} background noborder reverb
ioText {456, 550} {40, 24} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder time
ioText {492, 550} {44, 24} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder dif
ioText {454, 574} {42, 24} display 1.936800 0.010000 "rev2" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioText {499, 574} {33, 24} display 0.251900 0.100000 "hdif2" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioSlider {457, 589} {34, 158} 0.000000 3.000000 1.936500 rev2
ioSlider {499, 589} {34, 158} 0.000000 1.000000 0.251900 hdif2
ioMeter {307, 251} {20, 211} {65535, 65535, 65535} "" 0.000000 "cb1" 0.000000 fill 10 0 mouse
ioMeter {624, 249} {20, 211} {65535, 65535, 65535} "" 0.000000 "cb2" 0.000000 fill 10 0 mouse
ioMeter {1047, 249} {20, 211} {65535, 65535, 65535} "" 0.000000 "cb3" 0.000000 fill 10 0 mouse
ioMeter {427, 537} {20, 211} {65535, 65535, 65535} "" 0.000000 "mt" 0.000228 fill 1 148 mouse
ioMeter {812, 537} {20, 211} {65535, 65535, 65535} "" 0.000000 "woo" 0.000000 fill 1 104 mouse
ioMeter {1351, 248} {20, 211} {65535, 65535, 65535} "" 0.000000 "cb4" 0.000000 fill 10 0 mouse
ioMenu {194, 717} {113, 30} 4 201 "tambourine,cabasa,sleighbells,scod,bruma1,sing,bruma2,baligng,chgong,hcy1,hcy2" pulse
ioMenu {580, 713} {113, 30} 2 201 "guiro,bamboo,cabasa,gaml" first
ioText {862, 478} {395, 275} label 0.000000 0.001000 "" left "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground border 
ioText {866, 483} {72, 28} label 0.000000 0.001000 "" center "JazzText" 12 {0, 0, 0} {65535, 65535, 65535} background border VOCALISE
ioButton {864, 531} {306, 223} pict 1.000000 "" "Button" "/Users/enrico/Desktop/Ryoanji/PICT/Sabbia_01.pict" i1 0 10
ioText {872, 536} {48, 25} display 0.125000 0.001000 "gnvc1" right "Lucida Grande" 10 {65535, 65535, 65535} {65535, 65535, 65535} nobackground noborder 
ioSlider {880, 557} {34, 165} 0.000000 2.000000 0.125000 gnvc1
ioSlider {945, 557} {34, 165} 0.000000 2.000000 0.125000 gnvc2
ioSlider {1017, 557} {34, 165} 0.000000 2.000000 0.125000 gnvc3
ioText {939, 536} {48, 25} display 0.125000 0.001000 "gnvc2" right "Lucida Grande" 10 {65535, 65535, 65535} {65535, 65535, 65535} nobackground noborder 
ioText {1011, 536} {48, 25} display 0.125000 0.001000 "gnvc3" right "Lucida Grande" 10 {65535, 65535, 65535} {65535, 65535, 65535} nobackground noborder 
ioMeter {917, 537} {20, 211} {65535, 65535, 65535} "" 0.125000 "vc1" 0.000000 fill 1 104 mouse
ioMeter {988, 537} {20, 211} {65535, 65535, 65535} "" 0.000000 "vc2" 0.000000 fill 1 104 mouse
ioMeter {1064, 537} {20, 211} {65535, 65535, 65535} "" 0.500000 "vc3" 0.000000 fill 1 104 mouse
ioSlider {1098, 557} {34, 165} 0.000000 2.000000 0.125000 gnvc4
ioText {1092, 536} {48, 25} display 0.125000 0.001000 "gnvc4" right "Lucida Grande" 10 {65535, 65535, 65535} {65535, 65535, 65535} nobackground noborder 
ioMeter {1141, 537} {20, 211} {65535, 65535, 65535} "" 0.000000 "vc4" 0.000000 fill 1 104 mouse
ioText {1173, 526} {78, 24} label 0.000000 0.001000 "" center "JazzText" 9 {0, 0, 0} {65535, 65535, 65535} background noborder reverb
ioText {1173, 550} {40, 24} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder time
ioText {1171, 574} {42, 24} display 2.550900 0.010000 "room3" center "Lucida Grande" 9 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioSlider {1174, 589} {34, 158} 0.000000 3.000000 2.550900 room3
ioText {1209, 550} {44, 24} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder dif
ioText {1216, 574} {33, 24} display 0.433000 0.100000 "damp3" center "Lucida Grande" 9 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioSlider {1216, 589} {34, 158} 0.000000 1.000000 0.433000 damp3
ioCheckbox {882, 716} {30, 30} off mtvc1
ioCheckbox {946, 716} {30, 30} off mtvc2
ioCheckbox {1019, 716} {30, 30} off mtvc3
ioCheckbox {1099, 716} {30, 30} off mtvc4
ioMeter {690, 61} {31, 29} {65535, 65535, 0} "mm1" 0.000000 "mm1" 0.000000 fill 1 0 mouse
ioMeter {826, 61} {31, 29} {65535, 65535, 0} "mm2" 0.000000 "mm2" 0.000000 fill 1 0 mouse
ioButton {422, 55} {84, 96} pict 1.000000 "" "Button" "/Users/enrico/Desktop/Ryoanji/PICT/johncageve4.pict" i1 0 10
ioButton {913, 55} {84, 96} pict 1.000000 "" "Button" "/Users/enrico/Desktop/Ryoanji/PICT/johncageve5.pict" i1 0 10
ioMenu {667, 125} {66, 32} 1 202 "I,II,III,IV,V,VI,VII,VIII" 
ioMenu {176, 204} {83, 33} 1 202 "off,live,file,samples" CB1
ioText {135, 204} {46, 31} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder ________
ioText {518, 205} {74, 34} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder . . . . . . 
ioText {944, 203} {74, 34} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder _ _ _ _ _
ioText {1246, 204} {74, 34} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder _ . _ . _ .
ioText {885, 511} {24, 24} label 0.000000 0.001000 "" center "JazzText" 9 {65535, 0, 0} {65535, 65535, 65535} nobackground noborder I
ioText {950, 511} {24, 24} label 0.000000 0.001000 "" center "JazzText" 9 {65535, 0, 0} {65535, 65535, 65535} nobackground noborder II
ioText {1021, 511} {24, 24} label 0.000000 0.001000 "" center "JazzText" 9 {65535, 0, 0} {65535, 65535, 65535} nobackground noborder III
ioText {1103, 511} {24, 24} label 0.000000 0.001000 "" center "JazzText" 9 {65535, 0, 0} {65535, 65535, 65535} nobackground noborder IV
ioMenu {200, 534} {83, 33} 3 202 "off,live,samples" PC12
ioButton {814, 101} {88, 55} event 1.000000 "" "gui_reset" "/" i300 0 .1
ioText {350, 198} {78, 34} label 0.000000 0.001000 "" center "JazzText" 14 {0, 0, 0} {65535, 65535, 65535} nobackground noborder recorded
ioText {1056, 24} {197, 142} label 0.000000 0.001000 "" left "Lucida Grande" 10 {0, 0, 0} {39572, 39572, 39572} nobackground border 
ioButton {1050, 60} {90, 48} event 1.000000 "" "REC" "/" i"irec" 0 .1
ioMeter {1068, 51} {53, 21} {65535, 0, 0} "Rec" 0.000000 "Rec" 0.000000 fill 1 0 mouse
ioText {1061, 101} {47, 26} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground border cntdwn
ioMenu {1127, 52} {76, 34} 5 202 "C3_I,C3_II,C3_III,C3_IV,Vx_I,Vx_O,Vx_A,Vx_E" rec
ioMeter {1145, 101} {29, 29} {65535, 0, 0} "src" 0.000000 "src" 0.000000 fill 1 409 mouse
ioText {1106, 133} {43, 24} display 0.000000 0.100000 "r1" right "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioText {1062, 132} {46, 26} label 0.000000 0.001000 "" center "Lucida Grande" 10 {65535, 0, 0} {65535, 65535, 65535} nobackground border recT
ioText {1141, 74} {47, 26} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder sample
ioText {1105, 103} {43, 24} control 3.000000 1.000000 "when" right "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioText {1202, 84} {43, 24} control 4.000000 1.000000 "dur" right "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioText {1202, 57} {47, 26} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground border dur
ioText {1071, 21} {167, 30} label 0.000000 0.001000 "" center "JazzText" 14 {0, 0, 0} {65535, 65535, 65535} nobackground noborder recording
ioButton {527, 51} {132, 78} event 1.000000 "" "PLAY" "/" i"Play" 0 .1
ioMeter {541, 64} {21, 21} {65535, 32896, 0} "play" 0.000000 "play" 0.000000 fill 1 0 mouse
ioText {33, 197} {53, 31} label 0.000000 0.001000 "" center "JazzText" 14 {0, 0, 0} {65535, 65535, 65535} nobackground noborder soloist
ioMenu {254, 204} {83, 33} 1 202 "lib_smp,rec_smp" SmpCB1
ioMeter {260, 194} {21, 20} {65535, 65535, 0} "led1" 0.000000 "led1" 0.000000 fill 1 0 mouse
ioMenu {703, 204} {83, 33} 1 202 "lib_smp,rec_smp" SmpCB234
ioMeter {709, 194} {21, 20} {65535, 65535, 0} "led2" 0.000000 "led2" 0.000000 fill 1 0 mouse
ioMenu {617, 205} {83, 33} 2 202 "file,samples" CB234
ioMenu {1169, 486} {83, 33} 2 201 "lib_pvx,rec_pvx" pvx
ioMenu {987, 486} {83, 33} 2 202 "off,mnc,pvx" VX1234
ioMeter {1104, 476} {21, 20} {65535, 65535, 0} "led3" 0.000000 "led3" 0.000000 fill 1 0 mouse
ioMeter {1175, 476} {21, 20} {65535, 65535, 0} "led4" 0.000000 "led4" 0.000000 fill 1 0 mouse
ioMenu {1097, 486} {83, 33} 2 201 "lib_smp,rec_smp" mnc
ioCheckbox {869, 58} {30, 30} off IOrms
ioText {861, 78} {47, 26} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder RMS
ioText {676, 101} {47, 26} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder section
ioText {639, 20} {167, 30} label 0.000000 0.001000 "" center "JazzText" 14 {0, 0, 0} {65535, 65535, 65535} nobackground noborder play
</MacGUI>
<MacPresets>
LastPreset: Live1Q6@צ
"Live1" "_Preset" 0.000000 "_Play" 0.000000 "_Pause" 0.000000 "_Offset" 0.000000 "_Gain" 1.000000 "gncb2" 0.500000 "mtcb2" 0.000000 "gncb3" 0.500000 "mtcb3" 0.000000 "gncb1" 0.500000 "mtcb1" 0.000000 "gncb4" 0.500000 "mtcb4" 0.000000 "Lfrms" 0.000000 "Rfrms" 0.000000 "Lrrms" 0.000000 "Rrrms" 0.000000 "gnmt" 0.300000 "mtmt" 0.000000 "gnwoo" 0.300000 "mtwoo" 0.000000 "rev1" 2.149500 "hdif1" 0.047200 "timer" 8.517007 "skiptim" 0.000000 "rev2" 1.936800 "hdif2" 0.251900 "cb1" 0.000000 "cb2" 0.000000 "cb3" 0.000000 "mt" 0.011831 "woo" 0.000000 "cb4" 0.000000 "pulse" 4.000000 "first" 2.000000 "gnvc1" 0.125000 "gnvc2" 0.125000 "gnvc3" 0.125000 "vc1" 0.000000 "vc2" 0.000000 "vc3" 0.000000 "gnvc4" 0.125000 "vc4" 0.000000 "room3" 2.550900 "damp3" 0.433000 "mtvc1" 0.000000 "mtvc2" 0.000000 "mtvc3" 0.000000 "mtvc4" 0.000000 "mm1" 0.000000 "mm2" 0.000000 "CB1" 2.000000 "PC12" 1.000000 "Rec" 0.000000 "rec" 5.000000 "src" 0.000000 "r1" 0.000000 "when" 3.000000 "dur" 4.000000 "play" 0.000000 "SmpCB1" 1.000000 "led1" 0.000000 "SmpCB234" 1.000000 "led2" 0.000000 "CB234" 1.000000 "pvx" 2.000000 "VX1234" 1.000000 "led3" 0.000000 "led4" 0.000000 "mnc" 2.000000 "IOrms" 0.000000 
"Live2" "_Preset" 0.000000 "_Play" 0.000000 "_Pause" 0.000000 "_Offset" 0.000000 "_Gain" 1.000000 "gncb2" 0.500000 "mtcb2" 0.000000 "gncb3" 0.500000 "mtcb3" 0.000000 "gncb1" 0.500000 "mtcb1" 0.000000 "gncb4" 0.500000 "mtcb4" 0.000000 "Lfrms" 0.000000 "Rfrms" 0.000000 "Lrrms" 0.000000 "Rrrms" 0.000000 "gnmt" 0.300000 "mtmt" 0.000000 "gnwoo" 0.300000 "mtwoo" 0.000000 "rev1" 2.149500 "hdif1" 0.047200 "timer" 8.517007 "skiptim" 0.000000 "rev2" 1.936800 "hdif2" 0.251900 "cb1" 0.000000 "cb2" 0.000000 "cb3" 0.000000 "mt" 0.011831 "woo" 0.000000 "cb4" 0.000000 "pulse" 4.000000 "first" 2.000000 "gnvc1" 0.125000 "gnvc2" 0.125000 "gnvc3" 0.125000 "vc1" 0.000000 "vc2" 0.000000 "vc3" 0.000000 "gnvc4" 0.125000 "vc4" 0.000000 "room3" 2.550900 "damp3" 0.433000 "mtvc1" 0.000000 "mtvc2" 0.000000 "mtvc3" 0.000000 "mtvc4" 0.000000 "mm1" 0.000000 "mm2" 0.000000 "CB1" 2.000000 "PC12" 2.000000 "Rec" 0.000000 "rec" 5.000000 "src" 0.000000 "r1" 0.000000 "when" 3.000000 "dur" 4.000000 "play" 0.000000 "SmpCB1" 1.000000 "led1" 0.000000 "SmpCB234" 1.000000 "led2" 0.000000 "CB234" 1.000000 "pvx" 2.000000 "VX1234" 1.000000 "led3" 0.000000 "led4" 0.000000 "mnc" 2.000000 "IOrms" 0.000000 
"Live3" "_Preset" 0.000000 "_Play" 0.000000 "_Pause" 0.000000 "_Offset" 0.000000 "_Gain" 1.000000 "gncb2" 0.500000 "mtcb2" 0.000000 "gncb3" 0.500000 "mtcb3" 0.000000 "gncb1" 0.500000 "mtcb1" 0.000000 "gncb4" 0.500000 "mtcb4" 0.000000 "Lfrms" 0.000000 "Rfrms" 0.000000 "Lrrms" 0.000000 "Rrrms" 0.000000 "gnmt" 0.300000 "mtmt" 0.000000 "gnwoo" 0.300000 "mtwoo" 0.000000 "rev1" 2.149500 "hdif1" 0.047200 "timer" 8.517007 "skiptim" 0.000000 "rev2" 1.936800 "hdif2" 0.251900 "cb1" 0.000000 "cb2" 0.000000 "cb3" 0.000000 "mt" 0.011831 "woo" 0.000000 "cb4" 0.000000 "pulse" 4.000000 "first" 2.000000 "gnvc1" 0.125000 "gnvc2" 0.125000 "gnvc3" 0.125000 "vc1" 0.000000 "vc2" 0.000000 "vc3" 0.000000 "gnvc4" 0.125000 "vc4" 0.000000 "room3" 2.550900 "damp3" 0.433000 "mtvc1" 0.000000 "mtvc2" 0.000000 "mtvc3" 0.000000 "mtvc4" 0.000000 "mm1" 0.000000 "mm2" 0.000000 "CB1" 2.000000 "PC12" 2.000000 "Rec" 0.000000 "rec" 5.000000 "src" 0.000000 "r1" 0.000000 "when" 3.000000 "dur" 4.000000 "play" 0.000000 "SmpCB1" 1.000000 "led1" 0.000000 "SmpCB234" 1.000000 "led2" 0.000000 "CB234" 1.000000 "pvx" 2.000000 "VX1234" 2.000000 "led3" 0.000000 "led4" 0.000000 "mnc" 1.000000 "IOrms" 0.000000 
"Playback1" "_Preset" 9.000000 "_Play" 0.000000 "_Pause" 0.000000 "_Offset" 0.000000 "_Gain" 1.000000 "gncb2" 0.500000 "mtcb2" 0.000000 "gncb3" 0.500000 "mtcb3" 0.000000 "gncb1" 0.500000 "mtcb1" 0.000000 "gncb4" 0.500000 "mtcb4" 0.000000 "Lfrms" 0.000000 "Rfrms" 0.000000 "Lrrms" 0.000000 "Rrrms" 0.000000 "gnmt" 0.300000 "mtmt" 0.000000 "gnwoo" 0.300000 "mtwoo" 0.000000 "rev1" 2.149500 "hdif1" 0.047200 "timer" 8.517007 "skiptim" 0.000000 "rev2" 1.936800 "hdif2" 0.251900 "cb1" 0.000000 "cb2" 0.000000 "cb3" 0.000000 "mt" 0.011831 "woo" 0.000000 "cb4" 0.000000 "pulse" 4.000000 "first" 2.000000 "gnvc1" 0.125000 "gnvc2" 0.125000 "gnvc3" 0.125000 "vc1" 0.000000 "vc2" 0.000000 "vc3" 0.000000 "gnvc4" 0.125000 "vc4" 0.000000 "room3" 2.550900 "damp3" 0.433000 "mtvc1" 0.000000 "mtvc2" 0.000000 "mtvc3" 0.000000 "mtvc4" 0.000000 "mm1" 0.000000 "mm2" 0.000000 "CB1" 3.000000 "PC12" 2.000000 "Rec" 0.000000 "rec" 5.000000 "src" 0.000000 "r1" 0.000000 "when" 3.000000 "dur" 4.000000 "play" 0.000000 "SmpCB1" 1.000000 "led1" 0.000000 "SmpCB234" 1.000000 "led2" 0.000000 "CB234" 1.000000 "pvx" 2.000000 "VX1234" 2.000000 "led3" 0.000000 "led4" 0.000000 "mnc" 1.000000 "IOrms" 0.000000 
"Playback2" "_Preset" 9.000000 "_Play" 0.000000 "_Pause" 0.000000 "_Offset" 0.000000 "_Gain" 1.000000 "gncb2" 0.500000 "mtcb2" 0.000000 "gncb3" 0.500000 "mtcb3" 0.000000 "gncb1" 0.500000 "mtcb1" 0.000000 "gncb4" 0.500000 "mtcb4" 0.000000 "Lfrms" 0.000000 "Rfrms" 0.000000 "Lrrms" 0.000000 "Rrrms" 0.000000 "gnmt" 0.300000 "mtmt" 0.000000 "gnwoo" 0.300000 "mtwoo" 0.000000 "rev1" 2.149500 "hdif1" 0.047200 "timer" 8.517007 "skiptim" 0.000000 "rev2" 1.936800 "hdif2" 0.251900 "cb1" 0.000000 "cb2" 0.000000 "cb3" 0.000000 "mt" 0.011831 "woo" 0.000000 "cb4" 0.000000 "pulse" 4.000000 "first" 2.000000 "gnvc1" 0.125000 "gnvc2" 0.125000 "gnvc3" 0.125000 "vc1" 0.000000 "vc2" 0.000000 "vc3" 0.000000 "gnvc4" 0.125000 "vc4" 0.000000 "room3" 2.550900 "damp3" 0.433000 "mtvc1" 0.000000 "mtvc2" 0.000000 "mtvc3" 0.000000 "mtvc4" 0.000000 "mm1" 0.000000 "mm2" 0.000000 "CB1" 4.000000 "PC12" 2.000000 "Rec" 0.000000 "rec" 5.000000 "src" 0.000000 "r1" 0.000000 "when" 3.000000 "dur" 4.000000 "play" 0.000000 "SmpCB1" 1.000000 "led1" 0.000000 "SmpCB234" 1.000000 "led2" 0.000000 "CB234" 2.000000 "pvx" 2.000000 "VX1234" 2.000000 "led3" 0.000000 "led4" 0.000000 "mnc" 1.000000 "IOrms" 0.000000 
"Playback3" "_Preset" 11.000000 "_Play" 0.000000 "_Pause" 0.000000 "_Offset" 0.000000 "_Gain" 1.000000 "gncb2" 0.500000 "mtcb2" 0.000000 "gncb3" 0.500000 "mtcb3" 0.000000 "gncb1" 0.500000 "mtcb1" 0.000000 "gncb4" 0.500000 "mtcb4" 0.000000 "Lfrms" 0.000000 "Rfrms" 0.000000 "Lrrms" 0.000000 "Rrrms" 0.000000 "gnmt" 0.300000 "mtmt" 0.000000 "gnwoo" 0.300000 "mtwoo" 0.000000 "rev1" 2.149500 "hdif1" 0.047200 "timer" 8.517007 "skiptim" 0.000000 "rev2" 1.936800 "hdif2" 0.251900 "cb1" 0.000000 "cb2" 0.000000 "cb3" 0.000000 "mt" 0.011831 "woo" 0.000000 "cb4" 0.000000 "pulse" 4.000000 "first" 2.000000 "gnvc1" 0.125000 "gnvc2" 0.125000 "gnvc3" 0.125000 "vc1" 0.000000 "vc2" 0.000000 "vc3" 0.000000 "gnvc4" 0.125000 "vc4" 0.000000 "room3" 2.550900 "damp3" 0.433000 "mtvc1" 0.000000 "mtvc2" 0.000000 "mtvc3" 0.000000 "mtvc4" 0.000000 "mm1" 0.000000 "mm2" 0.000000 "CB1" 4.000000 "PC12" 2.000000 "Rec" 0.000000 "rec" 5.000000 "src" 0.000000 "r1" 0.000000 "when" 3.000000 "dur" 4.000000 "play" 0.000000 "SmpCB1" 2.000000 "led1" 0.000000 "SmpCB234" 2.000000 "led2" 0.000000 "CB234" 2.000000 "pvx" 2.000000 "VX1234" 2.000000 "led3" 0.000000 "led4" 0.000000 "mnc" 2.000000 "IOrms" 0.000000 
</MacPresets>
